<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="SpellXML">
		<html>
			<head>
				<title>JFrost Results</title>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<link rel="stylesheet" type="text/css" href="./css/docproduct.css"/>
			</head>
			<body class="docpost">
				<xsl:apply-templates/>
				<h3>Suggestions</h3>
				<xsl:apply-templates select="//Suggestions" mode="dialog"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Single">
		<h3>Single Word Result</h3>
		<div class="frostsingle">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="Wordlist">
		<h3>Word List Result</h3>
		<div class="frostwordlist">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="Textarea">
		<h3>Textarea Result</h3>
		<div class="frosttextarea">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="SpellResult">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="//Single//Word[@status = 'good'] | //Textarea//Word[@status = 'good']">
		<span class="frostgood">
			<xsl:apply-templates/>
		</span>
	</xsl:template>
	<xsl:template match="//Single//Word[@status = 'bad'] | //Textarea//Word[@status = 'bad']">
		<a onclick="" href="">
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<xsl:template match="//Wordlist//Word[@status = 'good']">
		<div class="frostgood">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="//Wordlist//Word[@status = 'bad']">
		<div class="frostbad">
			<a onclick="" href="">
				<xsl:apply-templates/>
			</a>
		</div>
	</xsl:template>
	<xsl:template match="Suggestions"/>
	<xsl:template match="Suggestions" mode="dialog">
		<table class="frostsuggestions">
			<tbody>
				<th>
					<td class="frostbad">
						<xsl:value-of select="preceding-sibling::Word"/>
					</td>
				</th>
				<xsl:apply-templates/>
			</tbody>
		</table>
		<hr/>
	</xsl:template>
	<xsl:template match="Sug">
		<tr>
			<td class="frostsug">
				<xsl:apply-templates/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
