<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*                                                                 
* MODULE NAME= doclrr.xsl                                                 
*                                                                           
* DESCRIPTIVE NAME= Convert lrr xml into DTHTML
*                                                                           
* Description: This stylesheet is applied in the broswer.
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release		Date		Person		Reason                                    
* @03		2002-07-22	GOT		PTR1524 Use Verdana as default font
* @04		2004-05-11	UZeh		APAR PQ88960 PTR3968 g_saveownerarray stmts added 
* @05		2004-05-19	UZeh		APAR PQ88960 PTR3968 g_savesubject stmts added 
* @006		V10R01B06	07/28/2004	UZeh		APAR PQ92037 PTR4276 Spelling changed 
* @07=	1.1.6		09/17/2004	GOT		APAR PQ94327, PTR4349 JS Error when double quotes in subject
* @008	V01R01B06	12/14/2004	UZeh		APAR PQ97612 PTR4464 Temp for FreeTextLetter g_freetextlrr  
* @09=	1.1.6		12/14/2004	GOT		APAR PQ98310 MSGDOC1045 and MSGDOC1119
* @010  V01R01B06       01/12/2005         UZeh            APAR PQ99299 PTR4301 gFirstInLrr Logic with g_signonmode="implicit"                         
* @011  V01R01B06       03/01/2005         UZeh            APAR PQ99299/1 PTR4301 gTopObj.applet.gSignonMode
* @12= 1.1.6	03/04/2005	    GOT		    PK01940/PTR4617 real buttons don't work with implicit-only buttons
* @13=1.1.6	04/15/2005	    JNG		        PK04282, PTR4699 Synchronize Framesets
* @14=1.1.6	05/18/2005	    MMar	        Height of empty row fixed
* @15=1.1.7 	07/20/2005	    UZEH		    PTR4958 g_editorautoopenononemustbemodiedsp stmt (temp)
* @16  1.1.7   	07/26/2005      UZEH           PK09307 PTR4562 g_ltdcontainsmultipleoccurencesp stmt  
* @17  1.1.7   	10/11/2005      MMar            PTR4971, DPK09309 Drag and drop problem
* @18  1.1.7   	10/25/2005      MMar            PTR4985, Display of short names changed
* @19  1.1.7   	10/26/2005      MMar            PTR4985, Expression error in template, fixed
* @20  1.1.7   	11/08/2005      MMar            PTR5219, Short names aligned to a vertical line
* @21  1.1.7    11/15/2005      MMar            PTR5234, Menu Bar lost - top menu is hiding when increasing font
* @22  1.1.7    21/11/2005      UZEH/JNG   PTR5079  New var g_contexthelpavailableicontodisplay
* @23  1.2.0    12/05/2005      UZeh            PTR5284  New template rule  GetRightContextHelpIcon
* @24  1.2.1    12/06/2005      MMar            PTR5275  Changes in shortname
* @25  1.2.1    02/09/2006      MMar            PTR409  "Show item IDs" no longer satisfying when editor is opened
* @26  1.2.1	02/10/2006	GOT		PTR5417 (DPK17220) Msg FSN205I and DOC1045 after hectic clicking
*               02/13/2006      UZeh            PTR5417 (DPK17220) g_enableButtonTimeout
* @27  1.2.1    03/06/2006      UZEH            PTR4949 (DPK20253) itxa can have values 0,1,2 which 
*                                               translate into indtextallow = N,Y,2   
* @28  1.2.2    04/03/2006      UZeh            PTR5535 Calculate g_findcontrol  out of @fctl,
*                                               gTopObj.applet.gRefLTDName = g_RefLTDName;   
* @29  1.2.2    04/10/2006      MMar   DPK22286 Encoding changed to UTF-8 
* @30  1.2.2    04/19/2006      UZeh   DPTR5535 g_findcontrol correction out of //LRR/FCtl, empty rule for FCtl
* @31  1.2.2    04/25/2006      MMar   DPTR5544, Radio buttons
* @032 1.2.2    05/04/2006      UZeh   DPTR5535 Check if typeof gTopObject.applet is undefined
* @033 1.2.2    05/17/2006      MMar   DPTR5544 Radio buttons, added groupid definition also to labels to identify them as radio buttons to prevent drag and drop
* @034 1.2.2    05/29/2006      MMar   DPTR5661 Radio buttons - radio group description not displayed
* @035 1.2.2    06/13/2006      UZeh   DPTR5610/1 Add rfce attribute for "reference sps"
* @036 1.2.2    07/04/2006      MMar   DPTR5653 Implement frameless design
* @037 1.2.2    07/20/2006      MMar   DPTR5653 Implement frameless design
* @38	1.2.2		07/27/2006	GOT		PTR5781 Misc. problems with special chars
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="docIframes.xsl"/>
	<!-- @036 Frameless design -->
	<xsl:import href="docglobalvariables.xsl"/>
	<!-- @29 -->
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="value desc" method="html"/>
	<xsl:template match="/">
		<!-- Start the HTML description here-->
		<html>
			<xsl:call-template name="dohead">
				<xsl:with-param name="objtype">
					<xsl:text>lrr</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
			<!-- @036 Frameless design -->
			<!-- This will call special template to set global variables -->
			<xsl:call-template name="set-global-variables"/>
			<body id="body" onload="topWait( 'fnInit()' ); fnEvalProcessTime();setTimeout('fnButtonEnabled(true,false)', g_enableButtonTimeout )" onunload="fnFinish();" scroll="no">
				<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
				<xsl:attribute name="class"><xsl:text>doc_scheme_window</xsl:text><!-- check if we have to show the menu panel --><xsl:choose><xsl:when test="//LRR/UPrp/PMen/. = 'Y'"><!-- check if we also have to show the OMInfo panel --><xsl:choose><xsl:when test="//LRR/OMIn"><xsl:text> OMInfoAndMenu</xsl:text></xsl:when><xsl:otherwise><xsl:text> Menu</xsl:text></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><!-- menu panel must'nt be shown but check if we have to show the OMInfo panel --><xsl:if test="//LRR/OMIn"><xsl:text> OMInfo</xsl:text></xsl:if></xsl:otherwise></xsl:choose></xsl:attribute>
				<!-- the first panel with the customer details-->
				<xsl:call-template name="dostatus"/>
				<!--the second panel with the navigation panel and its menu items-->
				<xsl:call-template name="donavpane">
					<xsl:with-param name="objtype">
						<xsl:text>lrr</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
				<!-- the third panel with the vertical splitbar -->
				<DIV CLASS="doc_scheme_split_bar" id="tb9"/>
				<!--end of description for the navigation panel..this is surrounded by several divs and tables in order to set the focus correctly-->
				<DIV class="doc_scheme_work_space" id="tb0" onfocus="fnTreeMainHighlight()">
					<DIV class="doc_scheme_tree" id="tf0">
						<!--start description of the main tree menu panel.-->
						<xsl:apply-templates/>
					</DIV>
				</DIV>
				<!--end of description for the main tree menu panel..-->
				<!-- the fourth panel with the button bar -->
				<!-- start of description for the button bar panel -->
				<xsl:call-template name="dobuttons"/>
				<!-- the fifth panel with the menu buttons and short cuts and the pulldown menue iframes-->
				<xsl:if test="//LRR/UPrp/PMen/. = 'Y'">
					<xsl:call-template name="domenubar"/>
				</xsl:if>
				<xsl:call-template name="dopulldownmenu">
					<xsl:with-param name="objtype">
						<xsl:text>lrr</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
			</body>
			<!-- end of html page -->
			<!-- the sixth panel with the invisible contextmenu iframe -->
			<xsl:call-template name="docontextmenu">
				<xsl:with-param name="objtype">
					<xsl:text>lrr</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
		</html>
	</xsl:template>
	<xsl:template match="OLi">
		<script>
                        g_signonmode="<xsl:value-of select="/OLi/@sigm"/>"; // @010a 
                        g_RefLTDName="<xsl:value-of select="//LRR/Ref/@LTDN"/>";      // @008a   
               
                        if ( typeof (gTopObj.applet) != "undefined" ) // @025
                        {
                           gTopObj.applet.gSignonMode = g_signonmode;                    // @011a
                           // @037
                           // gTopObj.applet.gRefLTDName = g_RefLTDName;                    // @028a
                           fnSetGlobalVariable("gRefLTDName", g_RefLTDName);
                        }
                        // if ( g_RefLTDName.toUpperCase() == "HAFREI" ) 
                        // {
                        // g_freetextlrr="Y"; 
                        //}
                        // else
                        // {
                        g_freetextlrr="N"; // @008a Temp  
                        // }
                        // alert("g_RefLTDName="+g_RefLTDName+" g_freetextlrr="+ g_freetextlrr );
                        // @008a End      
                        // @028a Start   
                        g_findcontrol="<xsl:value-of select="//LRR/FCtl"/>";  // @030
                        if ( g_findcontrol == "" )
                        {
                             g_findcontrol = "2"; // Must be "0" !!!      
                        }    
                        // @028a End
                        g_ltdcontainsmultipleoccurencesp="<xsl:value-of select="//LRR/Ref/@muoc"/>";        // @016a
                        // alert("g_ltdcontainsmultipleoccurencesp=" + g_ltdcontainsmultipleoccurencesp);   // @016a
                        g_contexthelpavailableicontodisplay="<xsl:value-of select="//LRR/Ref/@chai"/>";           // @018a
                        if ( g_contexthelpavailableicontodisplay == "" )
                        {
                            g_contexthelpavailableicontodisplay = "N";
                        }  
                        // alert("g_contexthelpavailableicontodisplay=" + g_contexthelpavailableicontodisplay);   // @018a 
  
                        g_editorautoopenononemustbemodiedsp = "N"; // @014a Change later ! 
                        // alert("g_RefLTDName="+g_RefLTDName+" g_freetextlrr="+ g_freetextlrr + " g_editorautoopenononemustbemodiedsp=" +  g_editorautoopenononemustbemodiedsp); // @015=

			g_saveDialogPrompt="<xsl:value-of select="//LRR/UPrp/SvNm/@prom"/>";
			g_saveDialogReplace="<xsl:value-of select="//LRR/UPrp/SvNm/@repl"/>";
			<xsl:text>g_saveDialogName="</xsl:text>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="//LRR/UPrp/SvNm"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>
			g_insertDialogName="<xsl:value-of select="//LRR/UPrp/IPrf"/>";
			g_pendingMessage="<xsl:value-of select="//LRR/UPrp/PMsg"/>";
                                                            
                        g_saveownerarraysize = parseInt(<xsl:value-of select="count(//LRR/UPrp/OWLi/OWEn)"/>) + 2;
                      
                        g_saveownerarray = new Array(g_saveownerarraysize);
                        g_saveownerarray[0] = "<xsl:value-of select="//LRR/UPrp/OWLi/OWDe"/>";
                        <xsl:for-each select="//OLi/LRR/UPrp/OWLi/OWEn">
                        g_saveownerarray[<xsl:value-of select="position()"/>] = "<xsl:value-of select="current()"/>";					
                        </xsl:for-each>
                        g_saveownerarray[g_saveownerarraysize - 1] = "";  
                        <!-- next one modified for @07 -->
			<xsl:text>g_savesubject="</xsl:text>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="//OLi/LRR/UPrp/LRSu"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>
		</script>
		<table id="tb-root" class="outer" cellpadding="0" cellspacing="0">
			<!--
			<tr id="tf0tr">
				<td colspan="2" nowrap="false" id="tf0td">
					<img src="./images/doctransp22.gif" id="tf0is"/>
				</td>
			</tr>
			-->
			<xsl:apply-templates/>
		</table>
	</xsl:template>
	<xsl:template match="LRR">
		<xsl:param name="ancestor"/>
		<xsl:param name="ParParPosition"/>
		<xsl:choose>
			<!--Initialise the table for the only menu item which is set to acrive-->
			<xsl:when test="@acti = 'Y'">
				<tr class="doc_scheme_entry" id="tr-root">
					<td colspan="2" nowrap="false" id="td-root">
						<img src="./images/docltd.gif" id="root-is">
							<xsl:attribute name="modind"><xsl:value-of select="//Ref/@modi"/></xsl:attribute>
							<xsl:attribute name="docselected"><xsl:value-of select="//Ref/@dsel"/></xsl:attribute>
							<xsl:attribute name="selprot"><xsl:value-of select="//Ref/@slpr"/></xsl:attribute>
							<xsl:attribute name="chlpavail"><xsl:value-of select="//Ref/@chlp"/></xsl:attribute>
							<!-- @022a -->
							<xsl:if test="//Ref/@ixal='N' or //Ref/@ixal='Y'">
								<xsl:attribute name="insertextallow"><xsl:value-of select="//Ref/@ixal"/></xsl:attribute>
							</xsl:if>
							<!--   @27a Start  -->
							<xsl:if test="//Ref/@itxa='0'">
								<xsl:attribute name="indtextallow">N</xsl:attribute>
							</xsl:if>
							<xsl:if test="//Ref/@itxa='1'">
								<xsl:attribute name="indtextallow">Y</xsl:attribute>
							</xsl:if>
							<xsl:if test="//Ref/@itxa='2'">
								<xsl:attribute name="indtextallow">2</xsl:attribute>
							</xsl:if>
							<!-- @027a End -->
							<xsl:if test="//Ref/@itxa='N' or //Ref/@itxa='Y'">
								<xsl:attribute name="indtextallow"><xsl:value-of select="//Ref/@itxa"/></xsl:attribute>
							</xsl:if>
							<xsl:attribute name="alt"/>
						</img>&#160;<label id="la-root">
							<B id="la-0">
								<xsl:attribute name="LastValidEntry"><xsl:value-of select="./Ref/LVE"/></xsl:attribute>
								<xsl:value-of select="./Ref/Titl"/>
							</B>
						</label>
						<!-- @25 BEGIN -->
						<label class="Kurzname_bold" id="ks-0">
							<xsl:attribute name="version"><xsl:value-of select="//Ref/@vers"/></xsl:attribute>
							<!-- @018 BEGIN -->
							<xsl:attribute name="name"><xsl:value-of select="//Ref/@LTDN"/></xsl:attribute>
							<xsl:attribute name="dynamicValue">Y</xsl:attribute>
							<xsl:attribute name="displayStyle">NotAlligned</xsl:attribute>
							<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="//Ref/@LTDN"/><xsl:text>) </xsl:text></xsl:attribute>
							<!-- @018 END-->
							<!--<B id="ks-0"> (<xsl:value-of select="//Ref/@LTDN"/>) </B>-->
						</label>
						<!-- @25 END -->
					</td>
					<!-- @20 Added one table cell for shortname: BEGIN -->
					<!-- @24 Added class name to td -->
					<td class="Kurzname">
						<label class="Kurzname_bold" id="ks-0">
							<xsl:attribute name="version"><xsl:value-of select="//Ref/@vers"/></xsl:attribute>
							<!-- @018 BEGIN -->
							<xsl:attribute name="name"><xsl:value-of select="//Ref/@LTDN"/></xsl:attribute>
							<xsl:attribute name="dynamicValue">Y</xsl:attribute>
							<xsl:attribute name="displayStyle">Alligned</xsl:attribute>
							<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="//Ref/@LTDN"/><xsl:text>) </xsl:text></xsl:attribute>
							<!-- @018 END-->
							<!--<B id="ks-0"> (<xsl:value-of select="//Ref/@LTDN"/>) </B>-->
						</label>
					</td>
					<!-- @20 Added one table cell for shortname: END -->
				</tr>
			</xsl:when>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="$ancestor='EnLi'">
				<xsl:if test="position()=last()">
					<xsl:call-template name="determinePosition">
						<xsl:with-param name="ParParPosition">end</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="position()!=last()">
					<xsl:call-template name="determinePosition">
						<xsl:with-param name="ParParPosition">inside</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:when>
			<xsl:when test="//Ref/EnCo[.>0]">
				<xsl:if test="position()=last()">
					<xsl:call-template name="determinePosition">
						<xsl:with-param name="ParParPosition">end</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="position()!=last()">
					<xsl:call-template name="determinePosition">
						<xsl:with-param name="ParParPosition">inside</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
		<script>
			g_LRRResetAllowed = false;
			<xsl:if test="//Reset/. = 'Y'">
				g_LRRResetAllowed = true;
			</xsl:if>
		</script>
	</xsl:template>
	<xsl:template match="Reset"/>
	<xsl:template match="//Ref">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="Titl"/>
	<xsl:template match="FCtl"/>
	<!-- @030 -->
	<xsl:template match="HiEn"/>
	<xsl:template match="SPar"/>
	<xsl:template match="LVE"/>
	<xsl:template match="EnCo"/>
	<xsl:template match="UPrp"/>
	<xsl:template match="HiLi"/>
	<xsl:template match="OMIn"/>
	<xsl:template match="EnLi">
		<xsl:param name="ancestor"/>
		<xsl:param name="position"/>
		<xsl:param name="ParParPosition"/>
		<!-- next step of initialisation of the table for the menu item which is set to acitve. The global variable g_menutotal is set too.-->
		<xsl:if test="../@enhi='N'">
			<tr>
				<xsl:if test="$ancestor='LTDR'">
					<xsl:attribute name="id">ur-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
					<xsl:choose>
						<xsl:when test="substring(../@expa,1)='Y'">
							<xsl:attribute name="class">expanded</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="class">collapsed</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="$ParParPosition='end'">
						<td class="width0">
							<xsl:attribute name="id">ud-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
							<img src="./images/doctransp23.gif"/>
						</td>
					</xsl:if>
					<xsl:if test="$ParParPosition='inside'">
						<td class="width0" background="./images/docvert.gif">
							<xsl:attribute name="id">ud-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
							<img src="./images/doctransp23.gif"/>
						</td>
					</xsl:if>
				</xsl:if>
				<td>
					<!-- @20 If there is a main table, colspan is 2, otherwise 3: BEGIN -->
					<xsl:choose>
						<xsl:when test="$ancestor='LTDR'">
							<xsl:attribute name="colspan">2</xsl:attribute>
							<!--<xsl:attribute name="style">"border: 1px solid green;"</xsl:attribute>-->
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="colspan">3</xsl:attribute>
							<!--<xsl:attribute name="style">"border: 1px solid blue;"</xsl:attribute>-->
						</xsl:otherwise>
						<!-- @20 If there is a main table, colspan is 2, otherwise 3: END -->
					</xsl:choose>
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<xsl:choose>
							<xsl:when test="$ancestor='LTDR'">
								<xsl:attribute name="id">tb-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="id">tb-0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:apply-templates>
							<xsl:with-param name="ancestor">
								<xsl:text>EnLi</xsl:text>
							</xsl:with-param>
						</xsl:apply-templates>
					</table>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template match="SPRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>SPRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="CoRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>CoRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="UnRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>UnRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="LTDR">
		<xsl:param name="position"/>
		<xsl:param name="ParParPosition"/>
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>LTDR</xsl:text>
			</xsl:with-param>
			<xsl:with-param name="position" select="$position"/>
			<xsl:with-param name="ParParPosition" select="$ParParPosition"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="EntD">
		<xsl:param name="ancestor"/>
		<xsl:param name="position"/>
		<xsl:param name="ParParPosition"/>
		<xsl:param name="LastValidEntry">
			<xsl:choose>
				<xsl:when test="$ancestor='LTDR'">
					<xsl:value-of select="../LVE/."/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="../../../LVE/."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:param>
		<xsl:param name="fngetLastValueParIDAttr">
			<xsl:call-template name="GetLastValueOfId">
				<xsl:with-param name="idstring">
					<xsl:value-of select="substring(../@id,4)"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:param>
		<!-- @034 -->
		<xsl:if test="../../@dscr!=''">
			<xsl:variable name="description">
				<xsl:value-of select="../../@dscr"/>
			</xsl:variable>
			<xsl:variable name="id">
				<xsl:value-of select="../@id"/>
			</xsl:variable>
			<xsl:for-each select="//AltG[@dscr=$description]//SPRe[position()=1]">
				<xsl:if test="@id=$id">
					<tr>
						<td colspan="2" nowrap="false">
							<img src="./images/docvert.gif"/>
							<img class="doc_scheme_spacer" src="./images/doctransp22.gif"/>
							<xsl:text>&#160;</xsl:text>
							<label class="comment_radiogroup">
								<xsl:value-of select="$description"/>
							</label>
						</td>
					</tr>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		<!-- get the value of the applet variable "showModifiedSPs" -->
		<xsl:variable name="CheckboxModSPs">N</xsl:variable>
		<xsl:choose>
			<xsl:when test="../@enhi='Y'">
				<xsl:if test="$fngetLastValueParIDAttr -0 > $LastValidEntry -0">
					<script language="javascript">
                           	 g_1stp += "/<xsl:value-of select="../@id"/>";
                           	 g_2ndp += "/<xsl:value-of select="$LastValidEntry"/>";
                           <!-- fnRememberToWorkonLastComments(firstpar, secpar)   -->
					</script>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="../@type='P'">
						<script>
                         g_currentitem="en-<xsl:value-of select="substring(../@id,4)"/>";
                         g_currentname="P";
                     </script>
					</xsl:when>
					<xsl:when test="../@type='L'">
						<script>
                         g_currentitem="en-<xsl:value-of select="substring(../@id,4)"/>";
                         g_currentname="L";
                     </script>
					</xsl:when>
					<xsl:otherwise>
						<script>
                         g_currentitem="en-<xsl:value-of select="substring(../@id,4)"/>";
                         g_currentname="C";
                     </script>
					</xsl:otherwise>
				</xsl:choose>
				<tr>
					<xsl:attribute name="id">tr-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
					<xsl:choose>
						<xsl:when test="$ancestor='SPRe'">
							<xsl:if test="$position='end'">
								<xsl:attribute name="count">Y</xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$ancestor='CoRe'">
							<xsl:if test="$position='end'">
								<xsl:attribute name="count">Y</xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$ancestor='UnRe'">
							<xsl:if test="$position='end'">
								<xsl:attribute name="count">Y</xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$ancestor='LTDR'">
							<xsl:if test="$ParParPosition='end'">
								<xsl:attribute name="count">Y</xsl:attribute>
							</xsl:if>
						</xsl:when>
					</xsl:choose>
					<td colspan="2" nowrap="false">
						<xsl:attribute name="id">td-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
						<xsl:attribute name="class">draggable</xsl:attribute>
						<xsl:choose>
							<xsl:when test="$ancestor='CoRe'">
								<!--The menu item is a comment-->
								<xsl:choose>
									<xsl:when test="$fngetLastValueParIDAttr -0 > $LastValidEntry -0">
										<!--No image at all as it deals only with comments-->
										<xsl:choose>
											<!--a blank line should be smaller than a line with text-->
											<xsl:when test=".=''">
												<img src="./images/doctransp22.gif" class="treesegmentsmall">
													<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
												</img>
											</xsl:when>
											<xsl:otherwise>
												<img src="./images/doctransp22.gif" class="treesegment">
													<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
												</img>
											</xsl:otherwise>
										</xsl:choose>
										<script language="javascript">
                           	 g_1stp += "/<xsl:value-of select="../@id"/>";
                           	 g_2ndp += "/<xsl:value-of select="$LastValidEntry"/>";
                           	 <!-- fnRememberToWorkonLastComments(firstpar, secpar) -->
										</script>
									</xsl:when>
									<xsl:when test="$position='end'">
										<!-- @023d
                                                                               
										<img src="./images/docvertrend.gif">
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
										-->
										<!-- @023 Start -->
										<img>
											<xsl:call-template name="GetRightContextHelpIcon">
												<xsl:with-param name="xchai">
													<xsl:value-of select="//LRR/Ref/@chai"/>
												</xsl:with-param>
												<xsl:with-param name="xchlp">
													<xsl:value-of select="../@chlp"/>
												</xsl:with-param>
												<xsl:with-param name="xgifwithchlp">docvertrend-i</xsl:with-param>
												<xsl:with-param name="xgifwithoutchlp">docvertrend</xsl:with-param>
												<xsl:with-param name="xid">
													<xsl:value-of select="../@id"/>
												</xsl:with-param>
											</xsl:call-template>
										</img>
										<!-- @023 End-->
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<!--a blank line should be smaller than a line with text-->
											<xsl:when test=".=''">
												<!-- @14 BEGIN -->
												<xsl:attribute name="class">doc_scheme_empty</xsl:attribute>
												<!-- @14 END -->
												<!-- @023d
												<img src="./images/docvert20.gif">
													<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
												</img>
												-->
												<!-- @023 Start -->
												<img>
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docvert20</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docvert20</xsl:with-param>
														<xsl:with-param name="xid">
															<xsl:value-of select="../@id"/>
														</xsl:with-param>
													</xsl:call-template>
												</img>
												<!-- @023 End-->
											</xsl:when>
											<xsl:otherwise>
												<img src="./images/docvert.gif">
													<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
												</img>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<!--a blank line should be smaller than a line with text-->
									<xsl:when test=".!=''">
										<img src="./images/doctransp22.gif" class="comment">
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
										<label class="comment_lrr">
											<xsl:attribute name="id">co-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
											<xsl:value-of select="."/>
										</label>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="$ancestor='UnRe'">
								<!--The menu item is a comment-->
								<xsl:choose>
									<xsl:when test="$position='end'">
										<!-- @023d
										<img src="./images/docvertrend.gif">
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
										-->
										<!-- @023 Start -->
										<img>
											<xsl:call-template name="GetRightContextHelpIcon">
												<xsl:with-param name="xchai">
													<xsl:value-of select="//LRR/Ref/@chai"/>
												</xsl:with-param>
												<xsl:with-param name="xchlp">
													<xsl:value-of select="../@chlp"/>
												</xsl:with-param>
												<xsl:with-param name="xgifwithchlp">docvertrend-i</xsl:with-param>
												<xsl:with-param name="xgifwithoutchlp">docvertrend</xsl:with-param>
												<xsl:with-param name="xid">
													<xsl:value-of select="../@id"/>
												</xsl:with-param>
											</xsl:call-template>
										</img>
										<!-- @023 End-->
									</xsl:when>
									<xsl:when test="$fngetLastValueParIDAttr -0 = $LastValidEntry -0">
										<!-- @023 Start -->
										<img>
											<xsl:call-template name="GetRightContextHelpIcon">
												<xsl:with-param name="xchai">
													<xsl:value-of select="//LRR/Ref/@chai"/>
												</xsl:with-param>
												<xsl:with-param name="xchlp">
													<xsl:value-of select="../@chlp"/>
												</xsl:with-param>
												<xsl:with-param name="xgifwithchlp">docvertrend-i</xsl:with-param>
												<xsl:with-param name="xgifwithoutchlp">docvertrend</xsl:with-param>
												<xsl:with-param name="xid">
													<xsl:value-of select="../@id"/>
												</xsl:with-param>
											</xsl:call-template>
										</img>
										<!-- @023 End-->
										<!-- @023d
										<img src="./images/docvertrend.gif">
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
										-->
									</xsl:when>
									<xsl:otherwise>
										<!-- @023d
										<img src="./images/docvertr.gif">
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
										-->
										<!-- @023 Start -->
										<img>
											<xsl:call-template name="GetRightContextHelpIcon">
												<xsl:with-param name="xchai">
													<xsl:value-of select="//LRR/Ref/@chai"/>
												</xsl:with-param>
												<xsl:with-param name="xchlp">
													<xsl:value-of select="../@chlp"/>
												</xsl:with-param>
												<xsl:with-param name="xgifwithchlp">docvertr-i</xsl:with-param>
												<xsl:with-param name="xgifwithoutchlp">docvertr</xsl:with-param>
												<xsl:with-param name="xid">
													<xsl:value-of select="../@id"/>
												</xsl:with-param>
											</xsl:call-template>
										</img>
										<!-- @023 End-->
									</xsl:otherwise>
								</xsl:choose>
								<img src="./images/docunknown.gif" class="unknown"/>
								<label class="unknown">
									<xsl:value-of select="."/>
								</label>
								<!-- @20 Comented code, moved to the end of this section: BEGIN -->
								<!-- @25 BEGIN -->
								<xsl:if test="../@name!=''">
									<label class="Kurzname">
										<xsl:attribute name="id">ks-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										<!-- @018 BEGIN -->
										<xsl:attribute name="dynamicValue">Y</xsl:attribute>
										<xsl:attribute name="displayStyle">NotAlligned</xsl:attribute>
										<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="../@name"/><xsl:text>) </xsl:text></xsl:attribute>
										<xsl:attribute name="inactive">yes</xsl:attribute>
										<!-- @018 END -->
										<!-- (<xsl:value-of select="../@name"/>)-->
									</label>
								</xsl:if>
								<!-- @25 END -->
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="../@type='L'">
										<!-- start of handle +/- gif -->
										<xsl:choose>
											<xsl:when test="../@expa='N'">
												<xsl:if test="$ParParPosition='end'">
													<a>
														<xsl:attribute name="id">aa-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
														<!--<img src="./images/docplusend.gif">-->
														<img>
															<xsl:choose>
																<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
																	<!-- @23d
																	<xsl:attribute name="src">./images/docchgplusend.gif</xsl:attribute>
																	-->
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docchgplusend-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docchgplusend</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																</xsl:when>
																<xsl:when test="../@enac='N'">
																	<xsl:attribute name="src">./images/docplusstopend.gif</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<!-- @023d
																	<xsl:attribute name="src">./images/docplusend.gif</xsl:attribute>
																	-->
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docplusend-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docplusend</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																</xsl:otherwise>
															</xsl:choose>
															<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
															<xsl:attribute name="LastValidEntry"><xsl:value-of select="$LastValidEntry"/></xsl:attribute>
														</img>
													</a>
												</xsl:if>
												<xsl:if test="$ParParPosition='inside'">
													<a>
														<xsl:attribute name="id">aa-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
														<img>
															<xsl:choose>
																<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
																	<!-- @023
																	<xsl:attribute name="src">./images/docchgplus.gif</xsl:attribute>
																	-->
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docchgplus-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docchgplus</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																</xsl:when>
																<xsl:when test="../@enac='N'">
																	<xsl:attribute name="src">./images/docplusstop.gif</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<!-- @023d
																	<xsl:attribute name="src">./images/docplus.gif</xsl:attribute>
																	-->
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docplus-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docplus</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																</xsl:otherwise>
															</xsl:choose>
															<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
															<xsl:attribute name="LastValidEntry"><xsl:value-of select="$LastValidEntry"/></xsl:attribute>
														</img>
													</a>
												</xsl:if>
											</xsl:when>
											<xsl:otherwise>
												<!-- expanded attribute equal yes -->
												<xsl:if test="$ParParPosition='end'">
													<a>
														<xsl:attribute name="id">aa-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
														<img>
															<xsl:choose>
																<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docchgminusend-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docchgminusend</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																	<!-- @023d	
																		<xsl:attribute name="src">./images/docchgminusend.gif</xsl:attribute>
																	-->
																</xsl:when>
																<xsl:when test="../@enac='N'">
																	<xsl:attribute name="src">./images/docminusstopend.gif</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docminusend-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docminusend</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																	<!-- @023d
																	<xsl:attribute name="src">./images/docminusend.gif</xsl:attribute>
																	-->
																</xsl:otherwise>
															</xsl:choose>
															<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
															<xsl:attribute name="LastValidEntry"><xsl:value-of select="$LastValidEntry"/></xsl:attribute>
														</img>
													</a>
												</xsl:if>
												<xsl:if test="$ParParPosition='inside'">
													<a>
														<xsl:attribute name="id">aa-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
														<img>
															<xsl:choose>
																<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docchgminus-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docchgminus</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																	<!-- @023d
																	<xsl:attribute name="src">./images/docchgminus.gif</xsl:attribute>
																	-->
																</xsl:when>
																<xsl:when test="../@enac='N'">
																	<xsl:attribute name="src">./images/docminusstop.gif</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<!-- @023 Start -->
																	<xsl:call-template name="GetRightContextHelpIcon">
																		<xsl:with-param name="xchai">
																			<xsl:value-of select="//LRR/Ref/@chai"/>
																		</xsl:with-param>
																		<xsl:with-param name="xchlp">
																			<xsl:value-of select="../@chlp"/>
																		</xsl:with-param>
																		<xsl:with-param name="xgifwithchlp">docminus-i</xsl:with-param>
																		<xsl:with-param name="xgifwithoutchlp">docminus</xsl:with-param>
																		<xsl:with-param name="xid"/>
																	</xsl:call-template>
																	<!-- @023 End-->
																	<!-- @023d
																	<xsl:attribute name="src">./images/docminus.gif</xsl:attribute>
																	-->
																</xsl:otherwise>
															</xsl:choose>
															<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
															<xsl:attribute name="LastValidEntry"><xsl:value-of select="$LastValidEntry"/></xsl:attribute>
														</img>
													</a>
												</xsl:if>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<!-- end of handle +/- gif -->
									<xsl:when test="$position='end'">
										<img>
											<xsl:choose>
												<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
													<!-- @023 Start -->
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docchgvlend-i</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docchgvlend</xsl:with-param>
														<xsl:with-param name="xid"/>
													</xsl:call-template>
													<!-- @023 End-->
													<!-- @023d
													<xsl:attribute name="src">./images/docchgvlend.gif</xsl:attribute>
													-->
												</xsl:when>
												<xsl:when test="../@enac='N'">
													<xsl:attribute name="src">./images/docvertstopend.gif</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<!-- @023 Start -->
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docvertrend-i</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docvertrend</xsl:with-param>
														<xsl:with-param name="xid"/>
													</xsl:call-template>
													<!-- @023 End-->
													<!-- @023d
													<xsl:attribute name="src">./images/docvertrend.gif</xsl:attribute>
													-->
												</xsl:otherwise>
											</xsl:choose>
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
									</xsl:when>
									<xsl:when test="$fngetLastValueParIDAttr -0 = $LastValidEntry -0">
										<img>
											<xsl:choose>
												<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
													<!-- @023 Start -->
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docchgvlend-i</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docchgvlend</xsl:with-param>
														<xsl:with-param name="xid"/>
													</xsl:call-template>
													<!-- @023 End-->
													<!-- @023d
													<xsl:attribute name="src">./images/docchgvlend.gif</xsl:attribute>
													-->
												</xsl:when>
												<xsl:when test="../@enac='N'">
													<xsl:attribute name="src">./images/docvertstopend.gif</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<!-- @023 Start -->
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docvertrend-i</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docvertrend</xsl:with-param>
														<xsl:with-param name="xid"/>
													</xsl:call-template>
													<!-- @023 End-->
													<!-- @023d
													<xsl:attribute name="src">./images/docvertrend.gif</xsl:attribute>
													-->
												</xsl:otherwise>
											</xsl:choose>
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
									</xsl:when>
									<xsl:otherwise>
										<img>
											<xsl:choose>
												<xsl:when test="../@mod='Y' and $CheckboxModSPs='Y'">
													<!-- @023 Start -->
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docchgvertr-i</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docchgvertr</xsl:with-param>
														<xsl:with-param name="xid"/>
													</xsl:call-template>
													<!-- @023 End-->
													<!-- @023d
													<xsl:attribute name="src">./images/docchgvertr.gif</xsl:attribute>
													-->
												</xsl:when>
												<xsl:when test="../@enac='N'">
													<xsl:attribute name="src">./images/docvertstop.gif</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<!-- @023 Start -->
													<xsl:call-template name="GetRightContextHelpIcon">
														<xsl:with-param name="xchai">
															<xsl:value-of select="//LRR/Ref/@chai"/>
														</xsl:with-param>
														<xsl:with-param name="xchlp">
															<xsl:value-of select="../@chlp"/>
														</xsl:with-param>
														<xsl:with-param name="xgifwithchlp">docvertr-i</xsl:with-param>
														<xsl:with-param name="xgifwithoutchlp">docvertr</xsl:with-param>
														<xsl:with-param name="xid"/>
													</xsl:call-template>
													<!-- @023 End-->
													<!-- @023d
													<xsl:attribute name="src">./images/docvertr.gif</xsl:attribute>
													-->
												</xsl:otherwise>
											</xsl:choose>
											<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
										</img>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<!-- @031 - Added radio buttons support -->
									<xsl:when test="../../@name!=''">
										<xsl:call-template name="determineRadio"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="determineCheckbox"/>
									</xsl:otherwise>
								</xsl:choose>
								<!-- @19 -->
								<xsl:call-template name="determineLabel">
									<xsl:with-param name="position" select="$position"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
						<!-- end of entry description output -->
					</td>
					<!-- @20 Added one table cell for shortnames: BEGIN -->
					<!-- @24 Added class name to td -->
					<td class="Kurzname">
						<xsl:if test="../@name!=''">
							<label class="Kurzname">
								<xsl:attribute name="id">ks-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
								<!-- @018 BEGIN -->
								<xsl:attribute name="dynamicValue">Y</xsl:attribute>
								<xsl:attribute name="displayStyle">Alligned</xsl:attribute>
								<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="../@name"/><xsl:text>) </xsl:text></xsl:attribute>
								<xsl:attribute name="inactive">yes</xsl:attribute>
								<!-- @018 END -->
								<!-- (<xsl:value-of select="../@name"/>)-->
							</label>
						</xsl:if>
					</td>
					<!-- @20 Added one table cell for shortnames: BEGIN -->
				</tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="dostatus">
		<xsl:for-each select="./OLi/LRR/OMIn">
			<DIV id="custtitle" class="doc_scheme_custom_title">
				<xsl:for-each select="Line">
					<label>
						<xsl:value-of select="."/>
					</label>
					<br/>
				</xsl:for-each>
			</DIV>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="domenubar">
		<DIV class="doc_scheme_menu_bar" id="tb4">
			<table ID="tbclsMenuBar" class="tbclsMenuBar">
				<!-- @21 Commented unnecessary code and positioning is done by css -->
				<!--
				<tr>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
				</tr>
				-->
				<tr>
					<td class="ntbclsMenubar21"/>
					<td id="Menubar22" class="tbclsMenubar22">
						<DIV ACCESSKEY="b" CLASS="tbclsMenuBarItem" ID="tdMenuBarItemBaustein"/>
					</td>
					<td class="ntbclsMenubar23" width="10%"/>
					<td id="Menubar23" class="tbclsMenubar22">
						<DIV ACCESSKEY="f" CLASS="tbclsMenuBarItem" ID="tdMenuBarItemFreitext"/>
					</td>
					<td class="ntbclsMenubar23" width="10%"/>
					<td id="Menubar24" class="tbclsMenubar22">
						<DIV ACCESSKEY="d" CLASS="tbclsMenuBarItem" ID="tdMenuBarItemDokumentstruktur"/>
					</td>
					<td class="ntbclsMenubar23" width="10%"/>
					<td id="Menubar25" class="tbclsMenubar22">
						<DIV ACCESSKEY="h" CLASS="tbclsMenuBarItem" ID="tdMenuBarItemHilfeLRR"/>
					</td>
					<td class="ntbclsMenubar23" width="10%"/>
				</tr>
				<!-- @21 Commented unnecessary code and positioning is done by css -->
				<!--
				<tr>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="tbclsMenubar3"/>
					</td>
					<td id="tbclsMenuId" class="tbclsMenubar3">
						<img id="tbclsMenuId" src="./images/doctransp22.gif" class="tbclsMenubar3"/>
					</td>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="ntbclsMenubar3"/>
					</td>
					<td id="tbclsMenuId" class="tbclsMenubar3">
						<img id="tbclsMenuId" src="./images/doctransp22.gif" class="tbclsMenubar3"/>
					</td>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="ntbclsMenubar3"/>
					</td>
					<td id="tbclsMenuId" class="tbclsMenubar3">
						<img id="tbclsMenuId" src="./images/doctransp22.gif" class="tbclsMenubar3"/>
					</td>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="ntbclsMenubar3"/>
					</td>
					<td id="tbclsMenuId" class="tbclsMenubar3">
						<img id="tbclsMenuId" src="./images/doctransp22.gif" class="tbclsMenubar3"/>
					</td>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="ntbclsMenubar3"/>
					</td>
				</tr>
				-->
			</table>
		</DIV>
	</xsl:template>
	<xsl:template name="dobuttons">
		<!-- start of description for the button bar panel -->
		<DIV class="doc_scheme_button_bar" onfocus="fnfocusbgofimLTD()" onblur="fnblurbgofim()" id="tb1" accesskey="v">
			<script>
				<xsl:if test="./OLi[@sigm='implicit']">
               g_signonmode="implicit";
			</xsl:if>
				<xsl:if test="./OLi[@sigm!='implicit']">
               g_signonmode="explicit";
			</xsl:if>
			</script>
			<table>
				<tr>
					<xsl:for-each select="./OLi/LRR/UPrp/ButtonList/Button [(//OLi/@sigm = 'implicit' and @explicit = 'N') or @explicit = 'Y']">
						<xsl:call-template name="createButton">
							<xsl:with-param name="signonmode">
								<xsl:value-of select="//OLi/@sigm"/>
							</xsl:with-param>
							<xsl:with-param name="buttontype">
								<xsl:value-of select="@explicit"/>
							</xsl:with-param>
							<xsl:with-param name="buttonaction">
								<xsl:value-of select="@action"/>
							</xsl:with-param>
							<xsl:with-param name="position">
								<xsl:value-of select="position()"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</DIV>
		<!-- end of description for the button bar panel -->
	</xsl:template>
	<xsl:template name="determinePosition">
		<xsl:param name="ancestor"/>
		<xsl:param name="ParParPosition"/>
		<xsl:if test="position()=last()">
			<xsl:apply-templates>
				<xsl:with-param name="position">end</xsl:with-param>
				<xsl:with-param name="ancestor" select="$ancestor"/>
				<xsl:with-param name="ParParPosition" select="$ParParPosition"/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:if test="position()!=last()">
			<xsl:apply-templates>
				<xsl:with-param name="position">inside</xsl:with-param>
				<xsl:with-param name="ancestor" select="$ancestor"/>
				<xsl:with-param name="ParParPosition" select="$ParParPosition"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>
	<xsl:template name="determineIMGAttr">
		<xsl:attribute name="id">is-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
		<xsl:attribute name="modind"><xsl:value-of select="../@modi"/></xsl:attribute>
		<xsl:attribute name="docselected"><xsl:value-of select="../@dsel"/></xsl:attribute>
		<xsl:attribute name="entrytouched"><xsl:value-of select="../@entt"/></xsl:attribute>
		<xsl:attribute name="actionrequired"><xsl:value-of select="../@actr"/></xsl:attribute>
		<xsl:attribute name="selind"><xsl:value-of select="../@seli"/></xsl:attribute>
		<xsl:attribute name="selprot"><xsl:value-of select="../@slpr"/></xsl:attribute>
		<xsl:attribute name="chlpavail"><xsl:value-of select="../@chlp"/></xsl:attribute>
		<!-- @022 -->
		<xsl:choose>
			<xsl:when test="../@ixal='N' or ../@ixal='Y'">
				<xsl:attribute name="insertextallow"><xsl:value-of select="../@ixal"/></xsl:attribute>
			</xsl:when>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="../@itxa='N' or ../@itxa='Y'">
				<xsl:attribute name="indtextallow"><xsl:value-of select="../@itxa"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="../@itxa='0'">
				<xsl:attribute name="indtextallow">N</xsl:attribute>
			</xsl:when>
			<xsl:when test="../@itxa='1'">
				<xsl:attribute name="indtextallow">Y</xsl:attribute>
			</xsl:when>
			<xsl:when test="../@itxa='2'">
				<xsl:attribute name="indtextallow">2</xsl:attribute>
			</xsl:when>
		</xsl:choose>
		<xsl:if test="../@enac='N'">
			<xsl:attribute name="entryaccessible">N</xsl:attribute>
		</xsl:if>
		<!-- @031 - Added for radio buttons processing, groupid attribute -->
		<xsl:choose>
			<!-- Is it radio button ? YES -> Set groupid to AltG name -->
			<xsl:when test="../../@name!=''">
				<xsl:attribute name="groupid"><xsl:value-of select="../../@name"/></xsl:attribute>
			</xsl:when>
			<!-- Is it radio button ? NO -> Set groupid to empty -->
			<xsl:otherwise>
				<xsl:attribute name="groupid"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:attribute name="alt"/>
	</xsl:template>
	<xsl:template name="buildEditor">
		<xsl:param name="position"/>
		<!-- start editor -->
		<xsl:choose>
			<xsl:when test="../@type = 'P'">
				<xsl:choose>
					<xsl:when test="../@edac = 'Y'">
						<xsl:choose>
							<xsl:when test="../@edfo = 'Y'">
								<script>
                   					 g_editintoview="<xsl:value-of select="substring(../@id,4)"/>";
                   				 </script>
							</xsl:when>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="../SPar/Ref/EnTe">
								<script>
                            			 g_readonly=<xsl:choose>
										<xsl:when test="../@modi='0'">true</xsl:when>
										<xsl:otherwise>false</xsl:otherwise>
									</xsl:choose>;
                             
							g_disable1=";";
							g_disable2=";";
							g_disable3=";";
							g_disable4=";";
							g_disable5=";";
							if (g_readonly == true)
							{
							g_disable2="; DISABLED";
							g_disable5="; DISABLED";
							}
                    		     </script>
								<xsl:choose>
									<xsl:when test="../@name = '' and ../@updn != ''">
										<script>
                                 				g_disablename=";";
                                 				g_disable2="; DISABLED";
                            			</script>
									</xsl:when>
									<xsl:otherwise>
										<script>
                                 				g_disablename=";DISABLED";
                            			</script>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="../@dsel='1'">
									<script>
                                 				g_readonly = true;
                                 
                                 				g_disable1="; DISABLED";
                                				g_disable2="; DISABLED";
                                				g_disable5="; DISABLED";
                            			</script>
								</xsl:if>
								<xsl:if test="../@dsel='0'">
									<xsl:if test="../../../@dsel='0' or ../../../@dsel='1'">
										<script>
                                 					g_readonly = true;
                                 
                                 					g_disable1="; DISABLED";
                                					g_disable2="; DISABLED";
                                 					g_disable5="; DISABLED";
                            				</script>
									</xsl:if>
									<xsl:if test="../@slpr='Y'">
										<script>
                                 					g_readonly = true;
                                 
                                 					g_disable1="; DISABLED";
                                					g_disable2="; DISABLED";
                                 					g_disable5="; DISABLED";
                            				</script>
									</xsl:if>
								</xsl:if>
								<table cellpadding="0" cellspacing="0">
									<tr>
										<xsl:attribute name="id">tr_<xsl:value-of select="../@id"/></xsl:attribute>
										<xsl:attribute name="class">expanded</xsl:attribute>
										<td width="18">
											<xsl:choose>
												<xsl:when test="$position='end'"/>
												<xsl:otherwise>
													<xsl:attribute name="background">./images/docvert.gif</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
											<td width="35"/>
											<td>
												<div STYLE="display:none;border:0;">
													<xsl:attribute name="id">ed-<xsl:value-of select="../@id"/></xsl:attribute>
  									  x
  									 </div>
												<script language="javascript" for="body" event="onload">
										        if (obj = document.getElementById(g_currentitem)) {
										           titlename = obj.innerHTML;
										        }
										        else {
										           titlename = "<xsl:value-of select="."/>";
 										       }
   										             var editorParms = new Object();

  										         editorParms.height = "200px";
  										         editorParms.width = "100%";
 										          editorParms.fontface = "Verdana";
 										          editorParms.fontsize = "1em";
 										          <!-- editorParms.text = "This is a <b>test</b> for <u>" + g_currentitem + "</u>, SessionID: " + gTopObj.applet.gSessionId + ", Time: " + timestamp;-->
 										          editorParms.text = "<xsl:value-of select="../SPar/Ref/EnTe"/>";
 										          editorParms.type = "text/html";
  										          editorParms.mode = "inline";
 										          editorParms.bDisable = g_readonly;
 										          editorParms.language = g_languageid;
 										          editorParms.name = titlename+g_disablename; 
 										          editorParms.bt1Event = "ButtonEventAction"+ g_disable1;
 										          editorParms.bt2Event = "ButtonEventAction"+ g_disable2;
 										          editorParms.bt3Event = "ButtonEventAction"+ g_disable3;
 										          editorParms.bt4Event = "ButtonEventAction"+ g_disable4;
 										          editorParms.bt5Event = "ButtonEventAction"+ g_disable5;
 										          editorParms.bscrollto = false;
 										          editorParms.divID = "ed-" + "<xsl:value-of select="../@id"/>"; 

 										          <!-- <xsl:eval>fngetParIDVariable(this)</xsl:eval> = startEditor(g_currentitem, editorParms);     -->
 										          startEditor("<xsl:value-of select="../@id"/>", editorParms);
 					                                      </script>
											</td>
										</td>
									</tr>
								</table>
							</xsl:when>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
		<!-- end editor -->
	</xsl:template>
	<!-- @031 - Added template for display radio buttons -->
	<xsl:template name="determineRadio">
		<!-- start of radiobutton-gifs -->
		<xsl:choose>
			<!-- <xsl:when test="../../..[(@type='L' and (@dsel='0' or @dsel='1')) or ..[(@type='L' and (@dsel='0' or @dsel='1'))]]">	 parent is a LRR and dsel < "2" -->
			<!--<xsl:when test="(../../../../@type='L' and (../../../../@dsel='0' or ../../../../@dsel='1')) or (../../../../../@type='L' and (../../../../../@dsel='0' or ../../../../../@dsel='1'))">-->
			<xsl:when test="(../../../@type='L' and (../../../@dsel='0' or ../../../@dsel='1')) or (../../../../@type='L' and (../../../../@dsel='0' or ../../../../@dsel='1'))">
				<xsl:choose>
					<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='N'">
						<!-- grey not checked: entry isn't selected and was not touched by the user -->
						<img src="./images/docrbgraynosel.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
					<xsl:when test="substring(../@dsel,1)='1' and substring(../@entt,1)='N'">
						<!-- grey checked: entry is selected and was not touched by the user -->
						<img src="./images/docrbgrayselgray.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
					<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='Y'">
						<!-- blue grey not checked: entry isn't selected and was touched by the user -->
						<img src="./images/docrbbluegraynosel.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
					<xsl:when test="substring(../@dsel,1)='1' and substring(../@entt,1)='Y'">
						<!-- blue grey checked: entry is selected and was touched by the user -->
						<img src="./images/docrbbluegrayselgray.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<!-- parent isn't a LRR, means this entry is in the first column, or dsel = 2 for the parent -->
				<xsl:choose>
					<xsl:when test="../@slpr='Y'">
						<xsl:choose>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='N'">
								<!-- not checked -->
								<img src="./images/docrbgraynosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='Y'">
								<!-- not checked, entrytouched -->
								<img src="./images/docrbbluegraynosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='Y'">
								<!-- checked and actionrequired -->
								<img src="./images/docrbredgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='N' and substring(../@entt,1)='N'">
								<!-- checked, noactionrequired and noentrytouched -->
								<img src="./images/docrbgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='N' and substring(../@entt,1)='Y'">
								<!-- checked, noactionrequired and entrytouched -->
								<img src="./images/docrbbluegraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='N'">
								<!-- not checked: entry isn't selected and was not touched by the user -->
								<img src="./images/docrbnosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='Y'">
								<!-- blue not checked: entry isn't selected and was touched by the user -->
								<img src="./images/docrbbluenosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='N' and ../@actr='N' and ../@seli!='2'">
								<!-- checked: entry is selected, was not touched by the user, no action is required and entry isn't mandatory -->
								<img src="./images/docrbsel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='Y' and ../@actr='N' and ../@seli!='2'">
								<!-- blue checked: entry is selected, was touched by the user, no action is required and entry isn't mandatory -->
								<img src="./images/docrbbluesel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='Y' and ../@seli!='2'">
								<!-- red checked: entry is selected, an action is required and entry isn't mandatory -->
								<img src="./images/docrbredsel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='N' and ../@actr='N' and ../@seli='2'">
								<!-- black grey checked: entry is selected, was not touched by the user, no action is required and entry is mandatory -->
								<img src="./images/docrbgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='Y' and ../@actr='N' and ../@seli='2'">
								<!-- blue black grey checked: entry is selected, was touched by the user, no action is required and entry is mandatory -->
								<img src="./images/docrbbluegraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='Y' and ../@seli='2'">
								<!-- red black grey checked: entry is selected, an action is required and entry is mandatory -->
								<img src="./images/docrbredgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<!-- end of radiobutton-gifs  -->
		<!--
		<input type="radio">
			<xsl:call-template name="determineIMGAttr"/>
		</input>
		-->
	</xsl:template>
	<xsl:template name="determineCheckbox">
		<!-- start of checkbox-gifs -->
		<xsl:choose>
			<!-- <xsl:when test="../../..[(@type='L' and (@dsel='0' or @dsel='1')) or ..[(@type='L' and (@dsel='0' or @dsel='1'))]]">	 parent is a LRR and dsel < "2" -->
			<xsl:when test="(../../../@type='L' and (../../../@dsel='0' or ../../../@dsel='1')) or (../../../../@type='L' and (../../../../@dsel='0' or ../../../../@dsel='1'))">
				<xsl:choose>
					<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='N'">
						<!-- grey not checked: entry isn't selected and was not touched by the user -->
						<img src="./images/docgraynosel.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
					<xsl:when test="substring(../@dsel,1)='1' and substring(../@entt,1)='N'">
						<!-- grey checked: entry is selected and was not touched by the user -->
						<img src="./images/docgrayselgray.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
					<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='Y'">
						<!-- blue grey not checked: entry isn't selected and was touched by the user -->
						<img src="./images/docbluegraynosel.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
					<xsl:when test="substring(../@dsel,1)='1' and substring(../@entt,1)='Y'">
						<!-- blue grey checked: entry is selected and was touched by the user -->
						<img src="./images/docbluegrayselgray.gif">
							<xsl:call-template name="determineIMGAttr"/>
						</img>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<!-- parent isn't a LRR, means this entry is in the first column, or dsel = 2 for the parent -->
				<xsl:choose>
					<xsl:when test="../@slpr='Y'">
						<xsl:choose>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='N'">
								<!-- not checked -->
								<img src="./images/docgraynosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='Y'">
								<!-- not checked, entrytouched -->
								<img src="./images/docbluegraynosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='Y'">
								<!-- checked and actionrequired -->
								<img src="./images/docredgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='N' and substring(../@entt,1)='N'">
								<!-- checked, noactionrequired and noentrytouched -->
								<img src="./images/docgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='N' and substring(../@entt,1)='Y'">
								<!-- checked, noactionrequired and entrytouched -->
								<img src="./images/docbluegraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='N'">
								<!-- not checked: entry isn't selected and was not touched by the user -->
								<img src="./images/docnosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='0' and substring(../@entt,1)='Y'">
								<!-- blue not checked: entry isn't selected and was touched by the user -->
								<img src="./images/docbluenosel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='N' and ../@actr='N' and ../@seli!='2'">
								<!-- checked: entry is selected, was not touched by the user, no action is required and entry isn't mandatory -->
								<img src="./images/docsel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='Y' and ../@actr='N' and ../@seli!='2'">
								<!-- blue checked: entry is selected, was touched by the user, no action is required and entry isn't mandatory -->
								<img src="./images/docbluesel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='Y' and ../@seli!='2'">
								<!-- red checked: entry is selected, an action is required and entry isn't mandatory -->
								<img src="./images/docredsel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='N' and ../@actr='N' and ../@seli='2'">
								<!-- black grey checked: entry is selected, was not touched by the user, no action is required and entry is mandatory -->
								<img src="./images/docgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and substring(../@entt,1)='Y' and ../@actr='N' and ../@seli='2'">
								<!-- blue black grey checked: entry is selected, was touched by the user, no action is required and entry is mandatory -->
								<img src="./images/docbluegraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
							<xsl:when test="substring(../@dsel,1)='2' and ../@actr='Y' and ../@seli='2'">
								<!-- red black grey checked: entry is selected, an action is required and entry is mandatory -->
								<img src="./images/docredgraysel.gif">
									<xsl:call-template name="determineIMGAttr"/>
								</img>
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<!-- end of checkbox-gifs  -->
	</xsl:template>
	<xsl:template name="determineLabel">
		<xsl:param name="position"/>
		<!-- start of text input like menu entries  -->
		&#160;<label>
			<xsl:attribute name="id">la-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="class">draggable</xsl:attribute>
			<xsl:attribute name="contexthelp"><xsl:value-of select="../@CoRe"/></xsl:attribute>
			<xsl:attribute name="version"><xsl:value-of select="../@vers"/></xsl:attribute>
			<xsl:if test="../@frst='Y'">
				<xsl:attribute name="first">Y</xsl:attribute>
			</xsl:if>
			<!-- @17a BEGIN -->
			<xsl:if test="../@frst='N'">
				<xsl:attribute name="first">N</xsl:attribute>
			</xsl:if>
			<!-- @17a END -->
			<xsl:if test="../@last='Y'">
				<xsl:attribute name="last">Y</xsl:attribute>
			</xsl:if>
			<!-- @17b BEGIN -->
			<xsl:if test="../@last='N'">
				<xsl:attribute name="last">N</xsl:attribute>
			</xsl:if>
			<!-- @17b END -->
			<!-- @35a Start -->
			<xsl:choose>
				<xsl:when test="../@rfce='Y'">
					<xsl:attribute name="referencesp">Y</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="referencesp">N</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<!-- @035a End   -->
			<xsl:if test="../@mod='Y'">
				<xsl:attribute name="modified">Y</xsl:attribute>
			</xsl:if>
			<xsl:if test="../@ifro='Y'">
				<xsl:attribute name="insertedfromoutside">Y</xsl:attribute>
			</xsl:if>
			<xsl:if test="../@muoc='Y'">
				<xsl:attribute name="multipleoccurence">Y</xsl:attribute>
			</xsl:if>
			<xsl:if test="../@muoc='N'">
				<xsl:attribute name="multipleoccurence">N</xsl:attribute>
			</xsl:if>
			<xsl:if test="../@name = '' and ../@updn != ''">
				<xsl:attribute name="freetext">Y</xsl:attribute>
			</xsl:if>
			<!-- @??? - Added for radio buttons processing, groupid attribute-->
			<xsl:choose>
				<!-- @33 BEGIN -->
				<!-- Is it radio button ? YES -> Set groupid to AltG name -->
				<xsl:when test="../../@name!=''">
					<xsl:attribute name="groupid"><xsl:value-of select="../../@name"/></xsl:attribute>
				</xsl:when>
				<!-- Is it radio button ? NO -> Set groupid to empty -->
				<xsl:otherwise>
					<xsl:attribute name="groupid"/>
				</xsl:otherwise>
			</xsl:choose>
			<!-- @33 END -->
			<xsl:value-of select="."/>
		</label>
		<!-- @25 BEGIN -->
		<xsl:if test="../@name!=''">
			<label class="Kurzname">
				<xsl:attribute name="id">ks-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
				<!-- @018 BEGIN -->
				<xsl:attribute name="dynamicValue">Y</xsl:attribute>
				<xsl:attribute name="displayStyle">NotAlligned</xsl:attribute>
				<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="../@name"/><xsl:text>) </xsl:text></xsl:attribute>
				<xsl:attribute name="inactive">yes</xsl:attribute>
				<!-- @018 END -->
				<!-- (<xsl:value-of select="../@name"/>)-->
			</label>
		</xsl:if>
		<!-- @25 END -->
		<!--
		<xsl:choose>
			<xsl:when test="../@name = '' and ../@updn != ''"/>
			<xsl:otherwise>
				<label class="Kurzname">
					<xsl:attribute name="dynamicValue">Y</xsl:attribute>
					<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="../@name"/><xsl:text>) </xsl:text></xsl:attribute>
					<xsl:attribute name="id">ks-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
				</label>
			</xsl:otherwise>
		</xsl:choose>
		-->
		<SPAN>
			<xsl:attribute name="id">sp-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:call-template name="buildEditor">
				<xsl:with-param name="position" select="$position"/>
			</xsl:call-template>
		</SPAN>
	</xsl:template>
	<xsl:template name="GetLastValueOfId">
		<xsl:param name="idstring"/>
		<xsl:param name="separator" select="'-'"/>
		<xsl:if test="contains($idstring, $separator)">
			<xsl:variable name="rest" select="substring-after($idstring, $separator)"/>
			<xsl:if test="contains($rest, $separator)">
				<xsl:call-template name="GetLastValueOfId">
					<xsl:with-param name="idstring" select="$rest"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="contains($rest, $separator)=0">
				<xsl:value-of select="$rest"/>
			</xsl:if>
		</xsl:if>
		<xsl:if test="contains($idstring, $separator)=0">
			<xsl:value-of select="$idstring"/>
		</xsl:if>
	</xsl:template>
	<!-- @023a Start -->
	<xsl:template name="GetRightContextHelpIcon">
		<xsl:param name="xchai"/>
		<xsl:param name="xchlp"/>
		<xsl:param name="xgifwithchlp"/>
		<xsl:param name="xgifwithoutchlp"/>
		<xsl:param name="xid"/>
		<xsl:choose>
			<xsl:when test="$xchai='N'">
				<xsl:attribute name="src"><xsl:value-of select="concat('./images/',$xgifwithoutchlp,'.gif')"/></xsl:attribute>
				<xsl:if test="$xid != ''">
					<xsl:attribute name="id">it-<xsl:value-of select="substring($xid,4)"/></xsl:attribute>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$xchlp='N'">
						<xsl:attribute name="src"><xsl:value-of select="concat('./images/',$xgifwithoutchlp,'.gif')"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="src"><xsl:value-of select="concat('./images/',$xgifwithchlp,'.gif')"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$xid != ''">
					<xsl:attribute name="id">it-<xsl:value-of select="substring($xid,4)"/></xsl:attribute>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- @023a End -->
</xsl:stylesheet>
