<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
**********************************************************************
*
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.                                                         
*
***********************************************************************
*                                                                               
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : docnetworkconfig.xsl                                                  
*                                                                              
* Description : This style sheet is used as the style sheet input 
*               to a XSLT Transformation executed in 
*               DocASFNetworkConfigServlet which transforms the 
*               DocNetworkConfiguration.xml into a HTML form                     
*               which allows to display, enter and update the network 
*               configuration data
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @001  V01R00B00  02/17/2003 UZeh    Create
* @002  Deactive   02/17/2003 UZeh    New CICSMQ Fields                      
* @003  V01R00B00  03/04/2003 UZeh    Rename addxxxconnections to xxxaddconnections 
* @004  V01R00B00  02/05/2003 UZeh    New text 'Passwords are scrambled' and hidden field pwsold 
* @004  V01R00B00  03/10/2003 UZeh    link to cascading style sheet  docconfig.css
* @005  V01R00B00  04/04/2003 UZeh    UseSessionUserId added
* @006  V01R00B03  05/06/2003 UZeh    Nickname without maxlength, size = 20
* @007  V01R00B00  07/25/2003 UZeh    Use normalize-space to remove leading / trailing blanks
* @008  V01R00B00  10/22/2003 UZeh    Invoke Template with name=xapplet to display applet tag  
* @009  V01R01B06  12/05/2003 UZeh    PTR3879/1 Pass in Parameters
*                                     zformattedtimestamp, zdc4asfversion 
* @010  V01R01B06  01/21/2004 UZeh    APAR PQ81758 / PTR3916
*                                     PWS Node removed 
* @011  V01R00B06  01/26/2004 UZeh    APAR PQ81758 / PTR3916 Change Password Node to UseriD Node (which also handles password input)
* @012  V01R01B06  02/11/2004 UZeh    APAR PQ84516 / PTR3997 New Field LastChangeBuildNumber
* @013  V01R01B06  03/10/2004 UZeh    APAR PQ84516 New Parameter zrelreftodocconfig 
*                  03/11/2004 UZeh    APAR PQ84516 Parameter names from servlet start with 'a'  
* @014  V01R01B05  04/05/2004 UZeh    PTR4082
*                                     NLS Strings and Messages are made external parameters     
* @015  V01R01B06  07/05/2004 UZeh    APAR PQ90964 PTR4213  Hidden field hostnicknamestored 
* @016  V01R01B06  07/05/2004 UZeh    APAR PQ90964 PTR4249  Max length hostnickname = 16   
* @017  V01R01B06  12/14/2004 UZeh    PQ08390 PTR4482   
*                                     - Factor out NLS string and message
*                                       parameters to docconfigglobals.xsl  
*                                     - Display copyright statement                                                      parameters to docconfigglobals.xsl  
*                                     - Add aosarchitecture Parameter 
*                                     - Use xheadertable rule to display header 
* @018  V01R01B06  02/01/2005 UZeh    PQ99886 PTR4555 Check that nickname is not reserved name 
* @019  V01R01B06  03/03/2005 UZeh    PQ99886 PTR4555 Lastchanged size set to 24, LastchangeBuildNumber size set to 40
* @020  V01R01B06  04/20/2005 MMar    replaced linked css stylesheet docconfig.css with docproduct.css and doccustom.css
*                                                                  Added class="configpage" to body element
                                                                   Added <div id="configpage">
* @021  V01R01B07  05/20/2005 UZeh    PK06030 PTR4897 New field alastservletinittimestamp  , Move xcustomer rule					
* @022  V01R01B06  06/01/2005 UZeh    PK06587 PTR4839 For userid change onblur func to fnIsRacfUserid()   
* @023  V01R01B07  08/16/2005 MMar    doccustom.css is now in custom directory
* @024  V01R01B07  10/10/2005 UZeh    Parameter apathsarerelative added
* @025  V01R02B01  12/20/2005 UZeh    PK16697 PTR5299 Rule hnptxtencrypted added (deactive) 
*                                     Parameter ahnptxtencrypted added 
* @026  1.2.1      02/13/2006 UZeh    PK17220 PTR5419 Measure XSLT Start and End time
* @027  1.2.2      2006-04-10 MMar    DPK22286 Encoding changed to UTF-8 
* @028  1.2.2      05/31/2006 UZeh    DPTR5666 Factor out common function (fxLabel,fxButton,fxInput)
* @029  1.2.2      06/22/2006 UZeh    DPTR5700 fxCheckbox. New parameters xcbfnOnClick xcbfnOnKeyPress, 
*                                     encoding='utf-8'  in <xsl:output>  
*                                     Simply javascript code by fnIsOfValidType(),fnIsValidTypeAndNotEmpty()
* @030  1.2.2      07/07/2006 UZeh    DPTR5731 Support of sections 
* 																	
-->

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">  

<!--                                                                 -->
<!-- Arguments         provided from DocASFNetworkConfigServlet      -->
<!--                                                                 -->


<!--                        -->
<!-- Content Arguments      -->
<!--                        -->


<!-- apathsarerelative   paths are relative Y or N                   -->
<!-- adc4asfversion      DC for ASF Version                          -->
<!-- aformattedtimestamp Formatted timestamp                         -->
<!-- aosarchitecture     OS Architecture                             -->
<!-- alangelement        Language code element                       -->
<!-- alastservletinittimestamp    Last servlet init timestamp        -->

<xsl:param name="apathsarerelative"/> <!-- @024a --> 
<xsl:param name="adc4asfversion"/> 
<xsl:param name="aformattedtimestamp"/>  
<xsl:param name="aosarchitecture"/>  <!--       -->
<xsl:param name="alangelement"/>     <!-- @014a -->
<xsl:param name="alastservletinittimestamp"/> <!-- @021a --> 
<xsl:param name="ahnptxtencrypted"/>          <!-- @025a -->  




<!-- ************************************************************** -->
<!--     Include Globals Stylesheet                                 --> 
<!-- ************************************************************** -->
<xsl:include href="docbase.xsl"/>
<xsl:include href="docconfigglobals.xsl"/>


<xsl:include href="docnetworkconfigcommon.xsl"/>


<!-- Output method is html -->

<xsl:output method='html' encoding='utf-8'  doctype-public='-//W3C//DTD HTML 4.0//EN'/>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- Here the rules follow                                          --> 
<!--                                                                -->
<!-- ************************************************************** -->


<!-- Root Node                                                      --> 
 
<xsl:template match = "/">                              
      <xsl:message>XSLT Starttime<xsl:call-template name="fxGetCurrentTimestamp"/></xsl:message>                  
      <xsl:element name = "html" >                        
        <xsl:attribute name = "lang">                     
          <xsl:value-of select= "$alangelement"/>        
        </xsl:attribute>                                  
        <xsl:apply-templates/>                            
     </xsl:element>                                     
      <xsl:message>XSLT Endtime  <xsl:call-template name="fxGetCurrentTimestamp"/></xsl:message>                                                    
</xsl:template>                

<!--                                                                 -->  
<!--  DocNetworkConfiguration Node                                   -->
<!--                                                                 -->


<xsl:template match = "DocNetworkConfiguration"> 
   
   <head>

   <!-- @027 -->
   <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

   <xsl:element name="meta">
        <xsl:attribute name="name">Copyright</xsl:attribute>
        <xsl:attribute name="content">(C) Copyright IBM Corporation 2003</xsl:attribute>
   </xsl:element>   
      
   <!-- @008 call template xapplet -->

   <xsl:call-template name = "xapplet">    
      <xsl:with-param name   =  "zformattedtimestamp"
                  select =  "$aformattedtimestamp">
      </xsl:with-param>
   </xsl:call-template>

   <!-- Link to cascading style sheet docconfig.css -->
   <!-- @20 -->
   <!--
   <link rel="stylesheet" type="text/css" href="./css/docconfig.css"/> 
   -->
   <link rel="stylesheet" type="text/css" href="./css/docproduct.css"/> 
   <link rel="stylesheet" type="text/css" href="./custom/doccustom.css"/> 

   <title>
   <xsl:value-of select= "$ztxtlabnetworktitle"/> 
   </title>
  
   <script language="javascript" src="./javascript/docnls.js"/>
   <script language="javascript" src="./javascript/docmsg.js"/>
   <script language='javascript' src='./javascript/docconfigcommon.js'/> 
   <script language='javascript'>
      <xsl:call-template name = "javascriptfunctions"/>    
   </script>
   </head>

   <!-- @20 -->
   <body class="configpage" onload="return fnOnloadConfig('docnetworkconfig.xsl')">
   <div id="configpage">

   <form name='docnetworkconfig' method='post'>   
  
   <!-- @017a Start -->    
   <!-- Display Header Table with image , title , version string ... -->

   <xsl:call-template name="xheadertable">
       <xsl:with-param name="yheadertitle">
          <xsl:value-of select="$ztxtlabnetworktitle"/>
       </xsl:with-param>       
       <xsl:with-param name="ydc4asfversion">
          <xsl:value-of select="$adc4asfversion"/>
       </xsl:with-param>
       <xsl:with-param name="ycopyright">
          <xsl:value-of select="$zcopyright"/>
       </xsl:with-param>
   </xsl:call-template>
  
 
   <xsl:variable name="ximsnumberofconnections">
        <xsl:value-of select = "count(Host/Connection[@type='IMS'])"/> 
   </xsl:variable>
   <xsl:variable name="ximsmqnumberofconnections">
        <xsl:value-of select = "count(Host/Connection[@type='IMSMQ'])"/> 
   </xsl:variable>                      
   <xsl:variable name="xcicsnumberofconnections">
        <xsl:value-of select = "count(Host/Connection[@type='CICS'])"/> 
   </xsl:variable>
   <xsl:variable name="xcicsmqnumberofconnections">
        <xsl:value-of select = "count(Host/Connection[@type='CICSMQ'])"/> 
   </xsl:variable>     

   <!--  General configuration -->  
  
   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabgnco</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabgeneralnetworkconfiguration"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabgnco'>
   <table border='1'>

     <xsl:apply-templates select="Timeout" />    
     <xsl:apply-templates select="Threshold" />  
     <xsl:apply-templates select="UseSessionUserId" /> 
   <!--

   <tr>    
   <td colspan='2'>  
      <xsl:call-template name="fxLabel">         
          <xsl:with-param name="xlblid">LABhnptxtencrypted</xsl:with-param>
          <xsl:with-param name="xlblfo">hnptxtencrypted</xsl:with-param>
          <xsl:with-param name="xlblva"><xsl:value-of select= "$ztxtlabnetworkhnptxtencrypted"/></xsl:with-param>
      </xsl:call-template>      
   </td>   
   <td align='left'>     
      <xsl:call-template name = "fxCheckbox">
         <xsl:with-param name = "xcbfid">hnptxtencrypted</xsl:with-param>    
         <xsl:with-param name = "xcbfnm">hnptxtencrypted</xsl:with-param>      
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$ahnptxtencrypted"/></xsl:with-param>    
         <xsl:with-param name = "xcbfdc">Y</xsl:with-param> 
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      </xsl:call-template>
   </td>
   </tr>  
   -->

   </table> 
   </div> 
   
   <!--                                                    -->      
   <!-- 4  for-each loops follow                           -->
   <!--       A. IMS                                       --> 
   <!--       B. IMSMQ                                     -->
   <!--       C. CICS                                      -->
   <!--       D. CICSMQ ( @020)                            -->
   <!--                                                    -->
   <!--                                                    -->
   <!-- Loop A. IMS Start                                  -->  
   <!--                                                    -->
   <!--                                                    -->

   

   
   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabimsco</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabimsconnectionconfiguration"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabimsco'>
   <table border='1'>
   <colgroup>
        <col width='10%'></col>
        <col width='25%'></col>
        <col width='65%'></col>
   </colgroup>
   <!-- @025a Start -->

    


   <!-- Subtitle and Column Headers                        -->

   <xsl:call-template name='columntitle'>  
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabimsconnectionconfiguration">
      </xsl:with-param>
       
      <xsl:with-param name   =  "xtxtlabnetworkremoveconnection"
                      select = "$ztxtlabnetworkremoveconnection">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">

      </xsl:with-param>  
   </xsl:call-template>

   
   
   <!-- Host Connections for IMS                            -->  
    
   
   <xsl:call-template name='xallconnectionprocessing'>
      <xsl:with-param name="aconnectiontype">IMS</xsl:with-param>   
      <xsl:with-param name="aconnectiontypetitle"><xsl:value-of select="$ztxtlabnetworkconnectiontype"/></xsl:with-param>
      <xsl:with-param name="aconversionaltitle"><xsl:value-of select="$ztxtlabnetworkimsconversational"/></xsl:with-param>.
   </xsl:call-template>

   </table>
   </div>
 
   <!-- Loop A. IMS End                                 -->

   <!--                                                 -->  
   <!--                                                 -->
   <!-- Loop B. IMSMQ Start                             -->
   <!--                                                 -->
   <!--                                                 -->   

  

   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabimsmqco</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabimsmqconnectionconfiguration"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabimsmqco'> 
   <table border='1'>
   <colgroup>
        <col width='10%'></col>
        <col width='25%'></col>
        <col width='65%'></col>
   </colgroup>
   <!-- Subtitle and Column Headers                     -->

   <xsl:call-template name='columntitle'>  
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabimsmqconnectionconfiguration">
      </xsl:with-param>
         
      <xsl:with-param name   =  "xtxtlabnetworkremoveconnection"
                      select = "$ztxtlabnetworkremoveconnection">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>

   <!-- Host Connections for IMSMQ                            -->  
   
   <xsl:call-template name='xallconnectionprocessing'>
      <xsl:with-param name="aconnectiontype">IMSMQ</xsl:with-param>   
      <xsl:with-param name="aconnectiontypetitle"><xsl:value-of select="$ztxtlabnetworkconnectiontype"/></xsl:with-param>
      <xsl:with-param name="aconversionaltitle"><xsl:value-of select="$ztxtlabnetworkimsmqconversational"/></xsl:with-param>.
   </xsl:call-template>

  
   </table>
   </div>
   <!-- Loop B. IMSMQ End                               -->  

   <!--                                                 -->
   <!--                                                 -->
   <!-- Loop C. CICS  Start                             -->
   <!--                                                 -->
   <!--                                                 -->  
   
   
   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabcicsco</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabcicsconnectionconfiguration"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabcicsco'> 
   <table border='1'>
   <colgroup>
        <col width='10%'></col>
        <col width='25%'></col>
        <col width='65%'></col>
   </colgroup>
   <!-- Subtitle and Column Headers                     -->

   <xsl:call-template name='columntitle'>  
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabcicsconnectionconfiguration">
      </xsl:with-param>   
      <xsl:with-param name   =  "xtxtlabnetworkremoveconnection"
                      select = "$ztxtlabnetworkremoveconnection">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>

   <!-- Host Connections for CICS                            -->  
  
   <xsl:call-template name='xallconnectionprocessing'>
      <xsl:with-param name="aconnectiontype">CICS</xsl:with-param>   
      <xsl:with-param name="aconnectiontypetitle"><xsl:value-of select="$ztxtlabnetworkconnectiontype"/></xsl:with-param>
      <xsl:with-param name="aconversionaltitle"><xsl:value-of select="$ztxtlabnetworkimsconversational"/></xsl:with-param>.
   </xsl:call-template>

   
   </table>
   </div>
   <!-- Loop C. CICS End                                -->  
   <!--                                                 -->  
   <!--                                                 -->
   <!-- Loop D. CICSMQ Start                             -->
   <!--                                                 -->
   <!--                                                 -->    

   <!-- Subtitle and Column Headers                     -->

   
   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabcicsmqco</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabcicsmqconnectionconfiguration"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabcicsmqco'> 

   <table border='1'>
   <colgroup>
        <col width='10%'></col>
        <col width='25%'></col>
        <col width='65%'></col>
   </colgroup>

   <xsl:call-template name='columntitle'>  
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabcicsmqconnectionconfiguration">
      </xsl:with-param>
         
      <xsl:with-param name   =  "xtxtlabnetworkremoveconnection"
                      select = "$ztxtlabnetworkremoveconnection">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>

  
   <!-- Host Connections for CICSMQ                          -->  
  
   <xsl:call-template name='xallconnectionprocessing'>
      <xsl:with-param name="aconnectiontype">CICSMQ</xsl:with-param>   
      <xsl:with-param name="aconnectiontypetitle"><xsl:value-of select="$ztxtlabnetworkconnectiontype"/></xsl:with-param>
      <xsl:with-param name="aconversionaltitle"><xsl:value-of select="$ztxtlabnetworkimsconversational"/></xsl:with-param>.
   </xsl:call-template>

  
   </table>
   </div>
   <!-- Loop D. CICSMQ End                              -->  

   <!-- The following fields are used                   -->  
   <!--  to add a connection                            -->
   <!--                                                 -->  

  

   <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabadco</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabnetworkadditionalconnectionssubtitle"/></xsl:with-param>
   </xsl:call-template>

   <div id='tabadco'>
   <table border='1'> 

    
   <tr>
   <td colspan='2'> 
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABimsaddconnection</xsl:with-param>
          <xsl:with-param name="xlblfo">imsaddconnection</xsl:with-param>    
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabimsaddconnection"/></xsl:with-param>
      </xsl:call-template>   
   </td>
   <td align='left'> 
      
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">imsaddconnection</xsl:with-param>
          <xsl:with-param name="xipfnm">imsaddconnection</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">4</xsl:with-param>
          <xsl:with-param name="xipfmx">2</xsl:with-param>
          <xsl:with-param name="xipfva">0</xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
      </xsl:call-template>
   
   </td> 
   </tr>
   <tr>
   <td colspan='2'>
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABimsmqaddconnection</xsl:with-param> 
          <xsl:with-param name="xlblfo">imsmqaddconnection</xsl:with-param>          
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabimsmqaddconnection"/></xsl:with-param>
      </xsl:call-template>       
   </td>
   <td align='left'>     
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">imsmqaddconnection</xsl:with-param>
          <xsl:with-param name="xipfnm">imsmqaddconnection</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">4</xsl:with-param>
          <xsl:with-param name="xipfmx">2</xsl:with-param>
          <xsl:with-param name="xipfva">0</xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
      </xsl:call-template> 
   </td> 
   </tr>  
   <tr>
   <td colspan='2'>
      <xsl:call-template name="fxLabel">     
          <xsl:with-param name="xlblid">LABcicsaddconnection</xsl:with-param>
          <xsl:with-param name="xlblfo">cicsaddconnection</xsl:with-param>
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabcicsaddconnection"/></xsl:with-param>
      </xsl:call-template>      
   </td>
   <td align='left'> 
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">cicsaddconnection</xsl:with-param>
          <xsl:with-param name="xipfnm">cicsaddconnection</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">4</xsl:with-param>
          <xsl:with-param name="xipfmx">2</xsl:with-param>
          <xsl:with-param name="xipfva">0</xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
      </xsl:call-template> 
   </td>
   </tr>
   
   <tr>
   <td colspan='2'>
      <xsl:call-template name="fxLabel">          
          <xsl:with-param name="xlblid">LABcicsmqaddconnection</xsl:with-param>
          <xsl:with-param name="xlblfo">cicsmqaddconnection</xsl:with-param>
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabcicsmqaddconnection"/></xsl:with-param>
      </xsl:call-template>    
   </td>
   <td align='left'> 
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">cicsmqaddconnection</xsl:with-param>
          <xsl:with-param name="xipfnm">cicsmqaddconnection</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">4</xsl:with-param>
          <xsl:with-param name="xipfmx">2</xsl:with-param>
          <xsl:with-param name="xipfva">0</xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
      </xsl:call-template> 
   </td>
   </tr>


   <!--
   <xsl:call-template name="xcustomer">    
      <xsl:with-param name = "acaller">docnetworkconfig.xsl</xsl:with-param>     
   </xsl:call-template>  
   -->

   <!--                                                 -->   
   <!-- The following  fields are hidden                -->
   <!--                                                 --> 
   
   <!-- NUMBER OF IMS HOST CONNECTIONS                  -->    
   <tr>
   <td colspan='3'>   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >imsnumberofconnections</xsl:attribute> 
         <xsl:attribute name = "id" >imsnumco</xsl:attribute> 
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$ximsnumberofconnections"/>
         </xsl:attribute> 
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>  
   </xsl:element>   
   
   <!-- NUMBER OF IMSMQ HOST CONNECTIONS                 -->   
   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >imsmqnumberofconnections</xsl:attribute> 
         <xsl:attribute name = "id" >imsmqnumco</xsl:attribute> 
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$ximsmqnumberofconnections"/>
         </xsl:attribute> 
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   
   
   <!-- NUMBER OF CICS HOST CONNECTIONS                 -->
   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >cicsnumberofconnections</xsl:attribute>   
         <xsl:attribute name = "id" >cicsnumco</xsl:attribute>      
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$xcicsnumberofconnections"/>
         </xsl:attribute>
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   

   <!-- @001 Start -->


   <!-- NUMBER OF CICSMQ HOST CONNECTIONS                 -->

  
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >cicsmqnumberofconnections</xsl:attribute>   
         <xsl:attribute name = "id" >cicsmqnumco</xsl:attribute>      
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$xcicsmqnumberofconnections"/>
         </xsl:attribute>
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   
   </td>
   </tr>     
   </table> 
   </div>    
   <!--                                                       -->
   <!-- The table containing the buttons of the form follows  -->
   <!--                                                       -->   
  
      

   <xsl:call-template name="xcustomer">    
      <xsl:with-param name = "acaller">docnetworkconfig.xsl</xsl:with-param>     
   </xsl:call-template>  
   
    
   <!--                                                       -->
   <!-- Display button table                                  -->
   <!--                                                       -->   


 
   <xsl:call-template name = "xbuttontable"> 
      
        <xsl:with-param name = "acaller">docnetworkconfig.xsl</xsl:with-param> 
        
   </xsl:call-template> 
    

   </form>
   <!-- @20 -->
   </div>
   </body>
  
</xsl:template>   

<!--                                                                 -->  
<!--  UserId  Node                                                   -->
<!--                                                                 -->

<!-- Note: No data is taken form Password node. Instead the          -->
<!-- fields are mere password input fields                           -->

<xsl:template match = "UserId">

  
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    
 
   <xsl:variable name="xoldpwid">
      <xsl:value-of select="concat($zlowerconnectiontype,'oldpassword',$zposition)"/>
   </xsl:variable>
    <xsl:variable name="xnewpwid">
      <xsl:value-of select="concat($zlowerconnectiontype,'newpassword',$zposition)"/>
   </xsl:variable>
   <xsl:variable name="xcfnewpwid">
      <xsl:value-of select="concat($zlowerconnectiontype,'confirmnewpassword',$zposition)"/>
   </xsl:variable>
 
   <xsl:variable name="xid">
       <xsl:value-of select="concat($zlowerconnectiontype,'userid',$zposition)"/>
   </xsl:variable>

   <!-- Entry field for UserId -->



   <tr>   
   <td>   
      <xsl:call-template name="fxLabel">          
          <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$xid)"/></xsl:with-param>
          <xsl:with-param name="xlblfo"><xsl:value-of select="$xid"/></xsl:with-param>
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkhostuserid"/></xsl:with-param>
      </xsl:call-template>     
   </td> 
   <td align='left'>
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid"><xsl:value-of select="$xid"/></xsl:with-param>
          <xsl:with-param name="xipfnm"><xsl:value-of select="$xid"/></xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">10</xsl:with-param>
          <xsl:with-param name="xipfmx">7</xsl:with-param>
          <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(.)" /></xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsRacfUserid())</xsl:with-param> 
      </xsl:call-template> 
   
   </td>  
   </tr>     


   <!-- Entry field for change password checkbox -->
   
   <tr>
   <td>
      <xsl:value-of select="$ztxtlabnetworkchangepassword"/>     
   </td>  
   <td align='left'>    
     <xsl:call-template name = "fxCheckbox">
         <xsl:with-param name = "xcbfid"><xsl:value-of select="concat($zlowerconnectiontype,'changepassword',$zposition)"/></xsl:with-param>    
         <xsl:with-param name = "xcbfnm"><xsl:value-of select="concat($zlowerconnectiontype,'changepassword',$zposition)"/></xsl:with-param>      
         <xsl:with-param name = "xcbfcc">N</xsl:with-param>    
         <xsl:with-param name = "xcbfdc">N</xsl:with-param> 
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      </xsl:call-template>
   </td>         
   </tr>
      
   <!-- Entry field for new password -->
   <tr>
   <td>   
      <xsl:call-template name="fxLabel">          
          <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$xnewpwid)"/></xsl:with-param>
          <xsl:with-param name="xlblfo"><xsl:value-of select="$xnewpwid"/></xsl:with-param>
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkhostpasswordnew"/></xsl:with-param>
      </xsl:call-template>        
   </td> 
   <td align='left'>  
   
     <xsl:call-template name = "fxPassword"> 

  
       <xsl:with-param name = "xipfid"><xsl:value-of select="$xnewpwid"/></xsl:with-param>
       <xsl:with-param name = "xipfnm"><xsl:value-of select="$xnewpwid"/></xsl:with-param>  
       <xsl:with-param name = "xipfro">N</xsl:with-param>              
       <xsl:with-param name = "xipfsz">10</xsl:with-param>
       <xsl:with-param name = "xipfmx">8</xsl:with-param> 
       <xsl:with-param name = "xipfva"></xsl:with-param>
       <xsl:with-param name = "xipfnOnBlur">return(fnIsPassword())</xsl:with-param>

    </xsl:call-template>     

       

  
   </td>  
   </tr>

   <!-- Entry field for new password confirmed -->     
   <tr>
   <td>   
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$xcfnewpwid)"/></xsl:with-param>
          <xsl:with-param name="xlblfo"><xsl:value-of select="$xcfnewpwid"/></xsl:with-param>          
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkhostpasswordconfirmnew"/></xsl:with-param>
      </xsl:call-template>     
   </td> 
   <td align='left'>  

     <xsl:call-template name = "fxPassword"> 

  
       <xsl:with-param name = "xipfid"><xsl:value-of select="$xcfnewpwid"/></xsl:with-param>
       <xsl:with-param name = "xipfnm"><xsl:value-of select="$xcfnewpwid"/></xsl:with-param>  
       <xsl:with-param name = "xipfro">N</xsl:with-param>              
       <xsl:with-param name = "xipfsz">10</xsl:with-param>
       <xsl:with-param name = "xipfmx">8</xsl:with-param> 
       <xsl:with-param name = "xipfva"></xsl:with-param>
       <xsl:with-param name = "xipfnOnBlur">return(fnIsPassword())</xsl:with-param>

    </xsl:call-template>     


   
   </td>  
 

   </tr>  
</xsl:template>



<!--                                                                 -->  
<!--  Threshold Node                                                 -->
<!--                                                                 -->

<xsl:template match = "Threshold"> 
   <tr>    
   <td colspan='2'> 
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABthreshold</xsl:with-param>
          <xsl:with-param name="xlblfo">threshold</xsl:with-param>          
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkthreshold"/></xsl:with-param>
      </xsl:call-template>   
   </td>   
   <td align='left'>
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">threshold</xsl:with-param>
          <xsl:with-param name="xipfnm">threshold</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">6</xsl:with-param>
          <xsl:with-param name="xipfmx">6</xsl:with-param>
          <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(.)" /></xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
      </xsl:call-template> 
   
   </td>
   </tr>  
</xsl:template> 

<!--                                                                 -->  
<!--  UseSessionUserId Node                                          -->
<!--                                                                 -->

<xsl:template match = "UseSessionUserId">
  
   <xsl:variable name="xusesessionuseridactivated">
       <xsl:value-of select = "@enable"/> 
   </xsl:variable>

   <tr>    
   <td colspan='2'> 
      <xsl:call-template name="fxLabel">          
          <xsl:with-param name="xlblid">LABusesessionuseridenabled</xsl:with-param>
          <xsl:with-param name="xlblfo">usesessionuseridenabled</xsl:with-param>
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkusesessionuserid"/></xsl:with-param>
      </xsl:call-template>     
   </td>   
   <td align='left'>     
      <xsl:call-template name = "fxCheckbox">
         <xsl:with-param name = "xcbfid">usesessionuseridenabled</xsl:with-param>    
         <xsl:with-param name = "xcbfnm">usesessionuseridenabled</xsl:with-param>      
         <xsl:with-param name = "xcbfcc"><xsl:value-of select="$xusesessionuseridactivated"/></xsl:with-param>    
         <xsl:with-param name = "xcbfdc">N</xsl:with-param> 
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      </xsl:call-template>
   </td>
   </tr>  
 
</xsl:template>




<!--                                                                 -->  
<!--  Timeout Node                                                   -->
<!--                                                                 -->

<xsl:template match = "Timeout">
   <tr>
   <td colspan='2'>  
     <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid">LABtimeout</xsl:with-param>
          <xsl:with-param name="xlblfo">timeout</xsl:with-param>          
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworktimeout"/></xsl:with-param>
      </xsl:call-template>  
   </td>
   <td align='left'> 
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">timeout</xsl:with-param>
          <xsl:with-param name="xipfnm">timeout</xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">6</xsl:with-param>
          <xsl:with-param name="xipfmx">6</xsl:with-param>
          <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(.)" /></xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsInteger())</xsl:with-param> 
      </xsl:call-template>   
   </td> 
   </tr>
</xsl:template> 



<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     connectionprocessing                                       --> 
<!-- which does the connection processing                           -->
<!-- for a connection type                                          -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name="connectionprocessing">

   <xsl:param name = "wtxtlabnetworkconnectiontype"/>   
   <xsl:param name = "wtxtlabnetworkconversational"/>
   
   
   <xsl:variable name="xnickname">
      <xsl:value-of select = "../@nickname"/> 
   </xsl:variable>
   
   <xsl:variable name="xposition">
      <xsl:value-of select = "position()"/> 
   </xsl:variable>

   <xsl:variable name="xconnectiontype">
      <xsl:value-of select = "@type"/> 
   </xsl:variable>

   
   <xsl:variable name="xconversationaltype">
      <xsl:value-of select = "@conversational"/> 
   </xsl:variable>

   <xsl:variable name="xlowerconnectiontype">            
      <xsl:call-template name = "lowercase-string">    
         <xsl:with-param name = "xstring" select="$xconnectiontype"></xsl:with-param>     
      </xsl:call-template>
   </xsl:variable>
   
   <tr>
   <td>
      <xsl:call-template name = "fxCheckbox">
         <xsl:with-param name = "xcbfid"><xsl:value-of select="concat($xlowerconnectiontype,'removeconnection',$xposition)"/></xsl:with-param>    
         <xsl:with-param name = "xcbfnm"><xsl:value-of select="concat($xlowerconnectiontype,'removeconnection',$xposition)"/></xsl:with-param>      
         <xsl:with-param name = "xcbfcc">N</xsl:with-param>    
         <xsl:with-param name = "xcbfdc">N</xsl:with-param> 
         <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
         <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      </xsl:call-template>
   </td>
 
   <td align='left'>
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid">hostnickname</xsl:with-param>
          <xsl:with-param name="xipfnm"><xsl:value-of select="concat($xlowerconnectiontype,'hostnickname',$xposition)"/></xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">20</xsl:with-param>
          <xsl:with-param name="xipfmx">16</xsl:with-param>
          <xsl:with-param name="xipfva"><xsl:value-of select="$xnickname"/></xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsAlphaNumericWord() &amp;&amp; fnIsNicknameNotReservedName())</xsl:with-param> 
      </xsl:call-template>  

      
      <!-- @015 Start                             -->  
      <!-- hidden field to store old hostnickname -->
      
      <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >
           <xsl:value-of select="concat($xlowerconnectiontype,'hostnicknamestored',$xposition)"/>
         </xsl:attribute> 
         <xsl:attribute name = "id" >hostnicknamestored</xsl:attribute>     
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$xnickname"/>
         </xsl:attribute>         
      </xsl:element>   
      <!-- @015 End -->
   </td> 
  
   
   <td>  
   <table border='1'>
      <colgroup>
         <col width="60%"></col>
         <col width="40%"></col>        
      </colgroup>
      <tr>
      <td>
      <xsl:value-of select="$wtxtlabnetworkconnectiontype"/>       
      </td>
      <td align='left'>   
      <xsl:value-of select = "$xconnectiontype"/>       
      </td>   
      </tr>

      
      <xsl:if test="$xconnectiontype='IMS'"> 
         <xsl:variable name="xconversationaltype">
            <xsl:value-of select = "@conversational"/> 
         </xsl:variable>
         
         <tr>
         <td>
         <xsl:value-of select="$wtxtlabnetworkconversational"/>     
         </td>  
         <td align='left'>    
             <xsl:call-template name = "fxCheckbox">
         	<xsl:with-param name = "xcbfid"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>    
         	<xsl:with-param name = "xcbfnm"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>      
        	<xsl:with-param name = "xcbfcc"><xsl:value-of select="$xconversationaltype"/></xsl:with-param>    
         	<xsl:with-param name = "xcbfdc">N</xsl:with-param>
                <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
                <xsl:with-param name = "xcbfnOnClick"></xsl:with-param> 
      	     </xsl:call-template>
         </td>         
         </tr>
      </xsl:if>

       <xsl:if test="$xconnectiontype='IMSMQ'"> 
         <xsl:variable name="xconversationaltype">
            <xsl:value-of select = "@conversational"/> 
         </xsl:variable>
         
         <tr>
         <td>
         <xsl:value-of select="$wtxtlabnetworkconversational"/>     
         </td>  
         <td align='left'>    
             <xsl:call-template name = "fxCheckbox">
         	<xsl:with-param name = "xcbfid"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>    
         	<xsl:with-param name = "xcbfnm"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>      
        	<xsl:with-param name = "xcbfcc"><xsl:value-of select="$xconversationaltype"/></xsl:with-param>    
         	<xsl:with-param name = "xcbfdc">N</xsl:with-param> 
                <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
                <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
      	     </xsl:call-template>
         </td>         
         </tr>
      </xsl:if>


      <!--                                                               -->
      <!--  Apply templates and pass zposition and zlowerconnectiontype  -->
      <!--                                                               -->
  
      <xsl:apply-templates>
         <xsl:with-param name = "zposition">
            <xsl:value-of select="$xposition"/>
         </xsl:with-param>
         <xsl:with-param name = "zlowerconnectiontype">
            <xsl:value-of select="$xlowerconnectiontype"/>
         </xsl:with-param>
      </xsl:apply-templates>   
   </table>
   </td>

   </tr>  
</xsl:template>




<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     lowercase-string                                           --> 
<!-- which does the translation to lowercase                        -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "lowercase-string" >     
    
   <xsl:param name = "xstring"/>         
   <xsl:value-of select="translate($xstring,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
        
</xsl:template> 




<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     uppercase-string                                           --> 
<!-- which does the translation to uppercase                        -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "uppercase-string" >     
    
   <xsl:param name = "xstring"/>         
   <xsl:value-of select="translate($xstring,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
        
</xsl:template> 


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     columntitle                                                --> 
<!-- which provides the column titles for the connection columns     -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "columntitle" > 
  
   <xsl:param name = "xtxtlabnetworkconfigurationsubtitle"/>
   <xsl:param name = "xtxtlabnetworkremoveconnection"/>
   <xsl:param name = "xtxtlabnetworkhostnickname"/>
   <xsl:param name = "xtxtlabnetworkhostconnectiondata"/>  
   
   <tr>
   <th colspan='3'>
      <xsl:value-of select="$xtxtlabnetworkconfigurationsubtitle"/>  
   </th>   
   </tr>
   <tr> 
   <td><xsl:value-of select="$xtxtlabnetworkremoveconnection"/></td>
   <td>     
      <xsl:call-template name="fxLabel">          
          <xsl:with-param name="xlblid">LABhostnickname</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select="$xtxtlabnetworkhostnickname"/></xsl:with-param>
      </xsl:call-template> 
   </td>   
   <td><xsl:value-of select="$xtxtlabnetworkhostconnectiondata"/></td> 
   </tr>   
        
</xsl:template> 



<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xallconnectionprocessing                                   --> 
<!-- which processes all connections of a passed in connectiontype  -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name='xallconnectionprocessing'> 


   <xsl:param name="aconnectiontype"/>   
   <xsl:param name="aconnectiontypetitle"/>
   <xsl:param name="aconversionaltitle"/>

   <xsl:for-each select = "Host/Connection[@type=$aconnectiontype]" >

  
      <xsl:call-template name='connectionprocessing'>  
         <xsl:with-param name   =  "wtxtlabnetworkconnectiontype"
              select = "$aconnectiontypetitle">
         </xsl:with-param>     
         <xsl:with-param name   =  "wtxtlabnetworkconversational"
              select = "$aconversionaltitle">
         </xsl:with-param>    
      </xsl:call-template>     
                    
   </xsl:for-each>
 
 

</xsl:template>

<!-- ************************************************************** -->
</xsl:stylesheet> 
