<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
* Change Activity:                                                             
*                                                                              
* Code  Release          Date            Person  Reason                                   
*                                                                              
* @001  V01R00B03  06/24/2003 UZeh     PTR3002 Maxlength and size of date fields correpond to date format   
* @002  disabled        10/22/2003 UZeh     PTR3820 Remove disabled attribute and color corrected  
* @003  V01R01B06  04/07/2004 UZeh     APAR PQ86429 PTR3960 
*                                                                   New Attribute pdpa in PaRe as part of id attribute
*                                                                   New Element PDPT in PaRe 
*                                                                  Attribute pdpinerror for Attribute iner
*                                                                  Attribute inerror renamed to inpinerror 
* @004  V01R01B06  05/11/2004 UZeh    APAR PQ88960 PTR3968 g_saveownerarray stmts added                 
* @005  V01R01B06  05/11/2004 UZeh    APAR PQ88960 PTR3968 g_savesubject stmt added 
* @006  V01R01B06  07/28/2004 UZeh    APAR PQ92037 PTR4276 Spelling & Determination of g_savesubject changed 
* @007  V01R01B06  07/30/2004 UZeh    APAR PQ92197 PTR4286 Translate &#160; by ' ' for Val 
* @008	 1.1.6          09/17/2004 GOT      APAR PQ94327 PTR4349 JS Error when double quotes in subject
* @009  V01R01B06  09/27/2004 UZeh    APAR PQ94924 PTR4348 Use type=password for dark unprotected parameters 
* @010  V01R01B06  09/30/2004 UZEH    APAR PQ92875 PTR4315 g_addcent stmt added 
* @011  V01R01B06  10/13/2004 UZeh    APAR PQ92875 PTR4180 Display LTD Title
* @12=	1.1.6		   12/14/2004	GOT    APAR PQ98310 MSGDOC1045 and MSGDOC1119 
* @013  V01R01B06  01/12/2005 UZeh    APAR PQ99299 PTR4301 gFirstInLrr Logic with g_signonmode="implicit"                         
* @014  V01R01B06  02/17/2005 UZeh    APAR PQ99299/1 PTR4301 gTopObj.applet.gSignonMode
* @15= 1.1.6              03/04/2005	           GOTPK01940/PTR4617 real buttons don't work with implicit-only buttons
* @016  V01R01B06  04/14/2005 UZeh    APAR PK03815 PTR4693 
*                                                                  - New attribute pvpa for PVP fields 
*                                                                  - Use inerror (only!) for Attribute iner
*                                  04/15/2005 UZeh    - g_postpvp stmt added ( change it !)
* @17=	1.1.6		   04/15/2005 JNG      PK04282, PTR4699 Synchronize Framesets 
* @18                         05/18/2005 MMar    Removed hardcoded style and linked docproduct.css and docustom.css
* @019  1.1.6             06/21/2005 UZeh    APAR PK07416  , PTR4820 pvpa argument added (was forgotten)
* @020                       06/23/2005 MMar    PTR4886 For protected fields use readonly and special color style instead of disabled  
* @021  1.1.6             06/23/2005 UZeh    APAR PK07616 Add deactivated shortname for future use 
* @022  1.1.6             07/19/2005 UZeh    APAR PK09077 PTR4938 Add g_datzer  stmt
* @023   V01R01B07 08/15/2005 MMar   doccustom.css is now in custom directory
* @024   V01R01B07 08/31/2005 MMar   In case of field error in processing form, cursor should take
*                                                                 place in this error field, setting g_paramScreenErrorField variable
* @025   V01R01B07 09/01/2005 MMar   If there is no error, place cursor to the first mandatory field.
*                                                                 If there is no mandatory, place cursor to the first unprotected field.
* @026   V01R01B07 09/28/2005 MMar   PTR4985, Optional displaying of fieldname in parm window 
* @027   V01R01B07 09/28/2005 MMar   PTR5160 Param screen labels are not alligned
* @028   V01R01B07 10/20/2005 MMar   PTR5185 Display of shortnames changed
* @029   V01R01B07 11/21/2005 MMar   PTR5253 Display of parameter panel: screen is scrolled to the field where the cursor is positioned
*                                                                   Change in fnSetFocus() function, focus is set to field only in case there is an error in this field. No scroll problem in this case.
* @030   V01R02B01 01/31/2006 MMar   PTR5384 Inconsistencies when working with "Show item Ids"
* @31	 1.2.1	   02/10/2006 GOT    PTR5417 (DPK17220) Msg FSN205I and DOC1045 after hectic clicking
*                02/13/2006 UZeh   PTR5417 (DPK17220) g_enableButtonTimeout 
* @32  1.2.2     2006-04-10 MMar   DPK22286 Encoding changed to UTF-8 
* @33  1.2.2     2006-05-17 MMar   DPTR5623 Show Item IDs on Parameter Panel - don't show IDs for the grey lines ! - but only for parameters
* @34 1.2.2      2006-07-05 MMar   DPTR5653 Implement frameless design
* @35 1.2.2      2006-07-26 MMar   DPTR5789 Superfluous (unwanted) wrapping of paragraph descriptions on parameter panel
* @36 1.2.2      2006-07-27 UZeh   DPTR5792 JS-escape for g_saveDialogName 
*
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="docIframes.xsl"/>
	<!-- @34 Frameless design -->
	<xsl:import href="docglobalvariables.xsl"/>
	<!-- @32 -->
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="value desc" method="html"/>
	<xsl:template match="/">
		<!-- Start the HTML description here-->
		<html>
			<xsl:call-template name="dohead">
				<xsl:with-param name="objtype">
					<xsl:text>parm</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
			<!-- @34 Frameless design -->
			<!-- This will call special template to set global variables -->
			<xsl:call-template name="set-global-variables" />
			<!-- @18 -->
			<link rel="stylesheet" type="text/css" href="./css/docproduct.css"/>
			<!-- @023 -->
			<link rel="stylesheet" type="text/css" href="./custom/doccustom.css"/>
			<body id="body" onload="topWait( 'fnInit()' ); fnEvalProcessTime();fnPrmPre(); fnSetFocus();setTimeout('fnButtonEnabled(true,false)', g_enableButtonTimeout) " onunload="fnFinish();" scroll="no">
				<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
				<xsl:attribute name="class"><xsl:text>doc_scheme_window</xsl:text><!-- check if we have to show the menu panel --><xsl:choose><xsl:when test="//PaLi/UPrp/PMen/. = 'Y'"><!-- check if we also have to show the OMInfo panel --><xsl:choose><xsl:when test="//PaLi/OMIn"><xsl:text> OMInfoAndMenu</xsl:text></xsl:when><xsl:otherwise><xsl:text> Menu</xsl:text></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><!-- menu panel must'nt be shown but check if we have to show the OMInfo panel --><xsl:if test="//Term/OMIn"><xsl:text> OMInfo</xsl:text></xsl:if></xsl:otherwise></xsl:choose></xsl:attribute>
				<!-- the first panel with the customer details-->
				<xsl:call-template name="dostatus"/>
				<!--the second panel with the navigation panel and its menu items-->
				<xsl:call-template name="donavpane">
					<xsl:with-param name="objtype">
						<xsl:text>parm</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
				<!-- the third panel with the vertical splitbar -->
				<DIV CLASS="doc_scheme_split_bar" id="tb9"/>
				<DIV class="doc_scheme_work_space" id="tb0" onscroll="fnScroll()">
					<xsl:apply-templates/>
				</DIV>
				<!--end of description for the main tree menu panel..-->
				<!-- start of description for the button bar panel -->
				<xsl:call-template name="dobuttons"/>
				<!-- the fifth panel with the menu buttons and short cuts and the pulldown menue iframes-->
				<xsl:if test="//PaLi/UPrp/PMen/. = 'Y'">
					<xsl:call-template name="domenubar"/>
				</xsl:if>
				<xsl:call-template name="dopulldownmenu">
					<xsl:with-param name="objtype">
						<xsl:text>parm</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
			</body>
			<!-- the sixth panel with the invisible contextmenu iframe -->
			<xsl:call-template name="docontextmenu">
				<xsl:with-param name="objtype">
					<xsl:text>parm</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
		</html>
	</xsl:template>
	<xsl:template match="UPrp"/>
	<xsl:template match="OLi">
                <!-- @011a Start -->   
 
                <xsl:variable name="xlrrtitle">
                   <xsl:value-of select="/OLi/LRR/Titl"/>                   
                </xsl:variable> 
                <xsl:variable name="xltdtitle"> 
                <xsl:choose>
                   <xsl:when test="$xlrrtitle=''">
                        <xsl:value-of select="/OLi/PaLi/Titl"/> 
                   </xsl:when>
                   <xsl:otherwise>
                       <xsl:value-of select="$xlrrtitle"/>      
                   </xsl:otherwise> 
                </xsl:choose>
                </xsl:variable>  

                <!-- @011a End --> 

		<!-- calculate the global variables like g_languageid and gSessionId which the server needs-->
		<script>   

                        // @013a Start

                        g_signonmode="<xsl:value-of select="/OLi/@sigm"/>";  
                        gTopObj.applet.gSignonMode = g_signonmode; // @014a
                        if ( g_signonmode == "implicit" )
                        {
                          // alert("g_signonmode=" + g_signonmode + " gTopObj.applet.gFirstInLrr=" + gTopObj.applet.gFirstInLrr);              
                          //
                          // if ( gTopObj.applet.gFirstInLrr == true )
                          // {   
                          //    gTopObj.applet.gFirstInLrr = false;
                          // }  
                          // @014a Start 
                          // else
                          // {
                          //    gTopObj.applet.gFirstInLrr = true;
                          // }
                          // alert("g_signonmode=" + g_signonmode + " gTopObj.applet.gFirstInLrr=" + gTopObj.applet.gFirstInLrr);              
                          // @014a End 
                        }
                        
                        // alert("g_signonmode=" + g_signonmode + " gTopObj.applet.gFirstInLrr=" + gTopObj.applet.gFirstInLrr);              

                        // @013a End 

			g_languageid="<xsl:value-of select="/OLi/@lang"/>".toLowerCase();
			
			// @034 Frameless design
      // gTopObj.applet.gSessionId="<xsl:value-of select="/OLi/@sid"/>";
			g_dateformat="<xsl:value-of select="//Ref/@dafo"/>";
                        g_addcent="<xsl:value-of select="//Ref/@adcn"/>";     // @010a 
                        g_datzer="<xsl:value-of select="//Ref/@datz"/>";      // @022a 
                        if ( g_datzer == "" )
                        {
                            g_datzer="0";                            
                        }
			g_maxpl="<xsl:value-of select="//PaLi/PaIn/@maxl"/>";
			g_saveDialogPrompt="<xsl:value-of select="//PaLi/UPrp/SvNm/@prom"/>";
			g_saveDialogReplace="<xsl:value-of select="//PaLi/UPrp/SvNm/@repl"/>";
			

                        // @036a Start

                        <xsl:text>g_saveDialogName="</xsl:text>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="//PaLi/UPrp/SvNm"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>

			
                        // @036a End

			g_continueRequestCode="<xsl:value-of select="/OLi/@ccmd"/>";
			g_pendingMessage="<xsl:value-of select="//PaLi/UPrp/PMsg"/>";
                        g_pdpcallable="<xsl:value-of select="//PaLi/PDPT"/>";            <!-- @003 Insert -->
                        g_postpvp="<xsl:value-of select="//PaLi/PVPS"/>";
                        // alert("g_postpvp="+g_postpvp);

                        g_saveownerarraysize = parseInt(<xsl:value-of select="count(//PaLi/UPrp/OWLi/OWEn)"/>) + 2;
                      
                        g_saveownerarray = new Array(g_saveownerarraysize);
                        g_saveownerarray[0] = "<xsl:value-of select="//PaLi/UPrp/OWLi/OWDe"/>";
                        <xsl:for-each select="//OLi/PaLi/UPrp/OWLi/OWEn">
                        g_saveownerarray[<xsl:value-of select="position()"/>] = "<xsl:value-of select="current()"/>";					
                        </xsl:for-each>
                        g_saveownerarray[g_saveownerarraysize - 1] = "";   
                    <xsl:text>g_savesubject="</xsl:text>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="/OLi/PaLi/UPrp/LRSu"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>
			<!-- @029 -->
			function fnSetFocus() {
				// alert(g_paramScreenErrorField + ", " + g_paramScreenMandatoryField + ", " + g_paramScreenFirstField);
				if( g_paramScreenErrorField != '') {
					document.getElementById(g_paramScreenErrorField).focus();
				} else {
					if( g_paramScreenMandatoryField != '' ) {
						// document.getElementById(g_paramScreenMandatoryField).focus();
					} else {
						if( g_paramScreenFirstField != '' ) {
							// document.getElementById(g_paramScreenFirstField).focus();
						}
					}
				}
			}
		</script>
		<!-- 	            Generate script files -->
		<xsl:element name="script">
			<xsl:attribute name="src"><!--					  get language id from xml file to load the correct message file --><!--                                         <xsl:value-of select="concat('.\'PaLi/Ref/@lang,'\docmsg.js')"></xsl:value-of>--></xsl:attribute>
			<xsl:attribute name="language">JavaScript</xsl:attribute>
			<xsl:attribute name="type">text/javascript</xsl:attribute>
		</xsl:element>
		<script language="JavaScript" src="./javascript/docprm.js" type="text/javascript"/>
		<!-- 			    Generate basic style for field border -->
		<!-- @18 -->
		<!--
		<style>input.mandatory {border:1 solid red}
                                    input.modified {border:1 solid blue}
                                    input.default {border:1 solid }
                                    table.parmtable{background-color:#C0C0C0; overflow:scroll}
				</style>
		-->
		<table id="pr-table" class="parmtable" border="0" cellspacing="0" cellpadding="0"> <!-- width="100%"  -->
			<tr id="prp" class="docgrey">
				<xsl:attribute name="GILName"><xsl:value-of select="//Ref/@LTDN"/></xsl:attribute>
				<xsl:attribute name="version"><xsl:value-of select="//Ref/@vers"/></xsl:attribute>
				<xsl:attribute name="GILType"><xsl:text>L</xsl:text></xsl:attribute>
				<td id="root-is" width="1" class="parmtitleimage" >
					<img id="prp" title="LTD" src="./images/docltd.gif"/>
				</td>
				<!-- @035 Change colspan from 3 to 4 to avoid unwanted wrapping of paragraph descriptions -->
				<td id="prp" colspan="4" class="parmtitle">
					<b id="prp">
						<xsl:value-of select="$xltdtitle"/><!-- @011= -->
					</b>
					<!--<xsl:text> (</xsl:text><xsl:value-of select="//Ref/@LTDN"/><xsl:text>) </xsl:text>-->
				</td>
				
				<!--
				<td id="prp" class="docgrey">
					<b id="prp">
						<xsl:text> (</xsl:text><xsl:value-of select="//Ref/@LTDN"/><xsl:text>) </xsl:text>
					</b>
				</td>
				-->

				<!-- @030: BEGIN -->
				<!-- Show short names (Item Ids) also in case of labels, not only fields -->
				<td valign="bottom" nowrap="false" class="parmtitle">
          <!-- @33 BEGIN -->
          <!--
					<xsl:element name="label">
						<xsl:attribute name="class">Kurzname_bold</xsl:attribute>
						<xsl:attribute name="id">ks-0</xsl:attribute>
						<xsl:attribute name="dynamicValue">Y</xsl:attribute>
						<xsl:attribute name="hiddenValue"><xsl:text>(</xsl:text><xsl:value-of select="//Ref/@LTDN"/><xsl:text>)</xsl:text></xsl:attribute>
          </xsl:element>
          -->
          <!-- @33 END -->

				</td>
				<!-- @030: END -->

				<!--
				<td id="prp" class="docgrey"/>
				-->
			</tr>
			<!--             Do the following for each field -->
			<xsl:for-each select="//PaRe">
				<!-- If it is a new paragraph generate the Sp title line -->
				<!-- @027 Added classes parmtitleimage_sp, parmtitle_sp to alligned labels-->
				<xsl:if test="@ppos ='0'">
					<!--<div>-->
						<tr class="docgrey">
							<xsl:attribute name="id"><xsl:text>prt-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @0019a @003 --><xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="GILName"><xsl:value-of select="../../../@spna"/></xsl:attribute>
							<xsl:attribute name="version"><xsl:value-of select="../../../@vers"/></xsl:attribute>
							<xsl:attribute name="GILType"><xsl:text>L</xsl:text></xsl:attribute>
							<td class="parmtitleimage_sp">
								<xsl:attribute name="id"><xsl:text>prt-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
									<img title="SP" src="./images/docsp.gif">
										<xsl:attribute name="id"><xsl:text>prt-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
									</img>
							</td>
							<!-- @035 Change colspan from 3 to 4 to avoid unwanted wrapping of paragraph descriptions -->
							<td  class="parmtitle_sp" colspan="4">
								<xsl:attribute name="id"><xsl:text>prt-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
								<b>
									<xsl:attribute name="id"><xsl:text>prt-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
									<xsl:value-of select="../../../EntD"/>
								</b>
							</td>

							<!-- @030: BEGIN -->
							<!-- Show short names (Item Ids) also in case of labels, not only fields -->
							<td nowrap="false" class="parmtitle_sp" >
                <!-- @33 BEGIN -->
                <!--
								<xsl:element name="label">
									<xsl:attribute name="class">Kurzname_bold</xsl:attribute>
									<xsl:attribute name="id"><xsl:text>ks-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><xsl:value-of select="position()"/></xsl:attribute>
									<xsl:attribute name="dynamicValue">Y</xsl:attribute>
									<xsl:attribute name="hiddenValue"><xsl:text>(</xsl:text><xsl:value-of select="../../../@spna"/><xsl:text>)</xsl:text></xsl:attribute>
								</xsl:element>
							  -->
                <!-- @33 END -->
							</td>
							<!-- @030: END -->

							<td class="docgrey">
								<xsl:attribute name="id"><xsl:text>prt-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
							</td>
						
						</tr>
					<!--</div>-->
				</xsl:if>
				<tr width="100%">
					<xsl:attribute name="class"><xsl:if test="(position() mod  2)='1'">docbright</xsl:if><xsl:if test="(position() mod  2)='0'">docdark</xsl:if></xsl:attribute>
					
					<!-- Image collumn -->
					<td valign="middle">
						<!-- 						        toggle background color -->
						<xsl:attribute name="id"><xsl:text>pr1-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
						<xsl:attribute name="class"><xsl:if test="(position() mod  2)='1'">docbright</xsl:if><xsl:if test="(position() mod  2)='0'">docdark</xsl:if></xsl:attribute>
					</td>
					<!--<td valign="middle" style="font-family: monospace;" >-->
					
					<!-- Label collumn -->
					<td valign="middle" nowrap="false"> <!-- width="100%" -->
						<!--<xsl:attribute name="class"><xsl:if test="(position() mod  2)='1'">docbright</xsl:if><xsl:if test="(position() mod  2)='0'">docdark</xsl:if></xsl:attribute>-->
						<xsl:attribute name="id"><xsl:text>prf-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
						<!--<font face="Arial, Helvetica, sans-serif">-->
							<xsl:attribute name="id"><xsl:text>prf-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="Desc = '.'">
									<xsl:text/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of disable-output-escaping="yes" select="Desc"/>
                                                                    <!-- Start @021 on comment for future use 
                                                                    <label class="Kurzname" id="ks-0">
							                                            <B id="ks-0"> (<xsl:value-of select="@name"/>)</B>
						                                            </label>
                                                                    End @021 -->
								</xsl:otherwise>
							</xsl:choose>
						<!--</font>-->
					</td>

					<!-- BEGIN: @026 -->
					<!-- BEGIN: @028 -->
					<!-- Shortname is empty by default, only hiddenValue attribute is set to real value. It is because of empty space between label and field in parameter screen - this is not acceptable by customer -->
					<!-- So, in this case, there is no empty space. If user wants to display these short names, javascript function fnShowShortName() in bocbutton.js copy value from hiddenValue to innerText of this label -->
					<td valign="middle" nowrap="false">
						<xsl:element name="label">
							<xsl:attribute name="class">Kurzname_bold</xsl:attribute>
							<!-- @030: BEGIN -->
							<!-- Short name must be identified to correctly show its properties -->
							<!--<xsl:attribute name="id">ks-0</xsl:attribute>-->
							<xsl:attribute name="id"><xsl:text>ks-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><xsl:value-of select="position()"/></xsl:attribute>
							<!-- @030: END -->
							<xsl:attribute name="dynamicValue">Y</xsl:attribute>
							<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="@name"/><xsl:text>) </xsl:text></xsl:attribute>
                            <!--<B id="ks-0"> (<xsl:value-of select="@name"/>)</B>-->
                         </xsl:element>
					</td>
					<!-- END: @028 -->
					<!-- END: @026 -->

					<!-- Protected/unproteded picture collumn -->
					<td valign="middle" >
						<xsl:attribute name="id"><xsl:text>prf-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
						<xsl:choose>
							<xsl:when test="@cpro='1'">
							<!-- If the field is conditionally protected add the key symbole -->
								<img title="unprotect" src="./images/doccprot.gif" width="30" height="15">
									<xsl:attribute name="id"><xsl:text>prf-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
								</img>
							</xsl:when>
							<xsl:otherwise>
								<!--<xsl:attribute name="class"><xsl:if test="(position() mod  2)='1'">docbright</xsl:if><xsl:if test="(position() mod  2)='0'">docdark</xsl:if></xsl:attribute>-->
								<img class="invisible" src="./images/doccprot.gif" width="30" height="15"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>

					<!-- Input field collumn -->
					<td valign="middle" width="100%" nowrap="nowrap">
						<xsl:attribute name="id"><xsl:text>prf-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
						<!--<xsl:attribute name="class"><xsl:if test="(position() mod  2)='1'">docbright</xsl:if><xsl:if test="(position() mod  2)='0'">docdark</xsl:if></xsl:attribute>-->
						<!--  Start generating the INPUT field  -->
						<input>
							<xsl:choose>
								<xsl:when test="@form ='D'">
									<xsl:attribute name="title"><xsl:value-of select="//Ref/@dafo"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="title"/>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:attribute name="name"><xsl:value-of select="../../../@id"/><xsl:text>-</xsl:text><!--<xsl:value-of select="@ppos+1"/>--><xsl:number level="single" count="Parm" format="0"/></xsl:attribute>
							<xsl:attribute name="mask"><xsl:value-of select="@mask"/></xsl:attribute>
							<xsl:attribute name="GILName"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:attribute name="GILType"><xsl:text>P</xsl:text></xsl:attribute>
							<xsl:attribute name="id"><xsl:text>pr-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><!-- @003 --><xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="position"><xsl:value-of select="position()"/>
-
                                <xsl:value-of select="last()"/></xsl:attribute>
							<xsl:attribute name="mod"><xsl:value-of select="@mod"/></xsl:attribute>
							<!-- @003 Start -->
							<xsl:attribute name="inputinerror"><!-- was inerror --><xsl:value-of select="@iner"/></xsl:attribute>
							<xsl:attribute name="pdpinerror"><xsl:value-of select="@iner"/></xsl:attribute>
							<!-- @003 End  -->
							<xsl:if test="@type='text'">
								 <!-- @009a start -->
                                                                <xsl:choose>
                                                                    <xsl:when test="@prot='0' and @cpro='0' and @vis='0'">
                                                                        <xsl:attribute name="type">password</xsl:attribute>
                                                                    </xsl:when> 
                                                                    <xsl:otherwise>
                                                                        <xsl:attribute name="type">text</xsl:attribute>
                                                                    </xsl:otherwise>  
                                                                </xsl:choose>
                                                                <!-- @009a end -->    
								<!-- @009 <xsl:attribute name="type">text</xsl:attribute> -->
								<xsl:attribute name="minlength"><xsl:value-of select="@minl"/></xsl:attribute>
								<!-- @001 Start -->
								<xsl:choose>
									<xsl:when test="@form ='D'">
										<xsl:attribute name="maxlength"><xsl:value-of select="string-length(//Ref/@dafo)"/></xsl:attribute>
										<xsl:attribute name="size"><xsl:value-of select="string-length(//Ref/@dafo)"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="maxlength"><xsl:value-of select="@maxl"/></xsl:attribute>
										<xsl:attribute name="size"><xsl:value-of select="@maxl"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<!-- @001 End -->
								<xsl:attribute name="onchange">fnModified(this)</xsl:attribute>
								<xsl:attribute name="onblur">fnLeaveField(this)</xsl:attribute>
								<xsl:attribute name="onkeypress">fnCatchParmInput(this)</xsl:attribute>
								<xsl:attribute name="onkeydown">fnHotKeys(this)</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="descendant::Val='' and @opt='0' and @prot='0'">
									<xsl:attribute name="class">mandatory</xsl:attribute>
								</xsl:when>
								<xsl:when test="descendant::Val!='' and @mod='1'">
									<xsl:attribute name="class">modified</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="class">default</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:attribute name="value"><!--    <xsl:value-of select="descendant::Val"/>  @007d --><!-- @007a Start --><xsl:variable name="xvalraw"><xsl:value-of select="descendant::Val"/></xsl:variable><xsl:value-of select="translate($xvalraw,'&#160;',' ')"/><!-- @007a End --></xsl:attribute>
							<xsl:choose>
								<xsl:when test="@iner='1'">
									<!--<xsl:attribute name="style">font-family: monospace;color: Red</xsl:attribute>-->
									<!--<xsl:attribute name="style">color: Red</xsl:attribute>-->
									<xsl:attribute name="class">error</xsl:attribute>
								</xsl:when>
								<xsl:when test="Desc = '.' and @prot='1'">
									<!--<xsl:attribute name="style">font-family: monospace;color: Blue;border: none;background: transparent;</xsl:attribute>-->
									<!--<xsl:attribute name="style">color: Blue;border: none;background: transparent;</xsl:attribute>-->
									<xsl:attribute name="readonly">YES</xsl:attribute>
									<xsl:attribute name="class">protected</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<!--<xsl:attribute name="style">font-family: monospace;</xsl:attribute>-->
								</xsl:otherwise>
							</xsl:choose>

							<!--
							<xsl:if test="@prot='1'and Desc != '.'">
								<xsl:attribute name="disabled">text</xsl:attribute>
								<xsl:attribute name="readonly">text</xsl:attribute>
							</xsl:if>
							-->

							<xsl:if test="@prot='1'and Desc != '.'">
                                <!-- @020a Start -->    
                                <!--
                                <xsl:if test="(position() mod  2)='1'"><xsl:attribute name="class">disabled</xsl:attribute></xsl:if>
                                <xsl:if test="(position() mod  2)='0'"><xsl:attribute name="class">disabled</xsl:attribute></xsl:if>
								-->
								<xsl:attribute name="class">disabled</xsl:attribute>
								<xsl:attribute name="readonly">text</xsl:attribute>
                                <!-- @020a End -->     
							</xsl:if>

							<!-- Replace if stmt above by ...
                                <xsl:if test="@prot='1'and Desc != '.'">
                               
                                   <xsl:attribute name="style">font-family: monospace;color: Grey;border:1 solid;background: Lightgrey;</xsl:attribute>
                                   <xsl:attribute name="readonly">text</xsl:attribute>
                                </xsl:if>
                            -->

							<xsl:if test="@cpro='1'">
								<xsl:attribute name="readonly">text</xsl:attribute>
							</xsl:if>

				<!-- @024 BEGIN
				<xsl:if test="@iner='1' and @prot!='1'">
					<script>
						if(g_paramScreenErrorField=='') {
							g_paramScreenErrorField=this.id';
						}
					</script>
				</xsl:if>
				@024 END -->

						</input>

						<!-- @028 New position of shortnames -->
						<!--
                        <label class="Kurzname" id="ks-0">
                            <B id="ks-0"> (<xsl:value-of select="@name"/>)</B>
                         </label>
						-->

						<!-- only for test - Display id of input field 
						<xsl:text>pr-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><xsl:value-of select="position()"/>
						-->
					</td>

<!--					
					<td width="100%" valign="middle">
						<xsl:attribute name="id"><xsl:text>prf-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/> @003 <xsl:value-of select="position()"/></xsl:attribute>
						<xsl:attribute name="class"><xsl:if test="(position() mod  2)='1'">docbright</xsl:if><xsl:if test="(position() mod  2)='0'">docdark</xsl:if></xsl:attribute>
					</td>
-->					
				</tr>
				<!--</table>-->

				<!-- @024 BEGIN -->
				<xsl:if test="@iner='1' and @prot!='1'">
					<script>
						if(g_paramScreenErrorField=='') {
							g_paramScreenErrorField='<xsl:text>pr-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><xsl:value-of select="position()"/>';
						}
					</script>
				</xsl:if>
				<!-- @024 END -->
				
				<!-- @025 BEGIN -->
				<xsl:if test="descendant::Val='' and @opt='0' and @prot='0'">
					<script>
						if(g_paramScreenMandatoryField=='') {
							g_paramScreenMandatoryField='<xsl:text>pr-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><xsl:value-of select="position()"/>';
						}
					</script>
				</xsl:if>

				<xsl:if test="@cpro!='1' and @prot='0'">
					<script>
						if(g_paramScreenFirstField=='') {
							g_paramScreenFirstField='<xsl:text>pr-</xsl:text><xsl:value-of select="@opt"/><xsl:value-of select="@prot"/><xsl:value-of select="@cpro"/><xsl:value-of select="@vis"/><xsl:value-of select="@mod"/><xsl:value-of select="@form"/><xsl:value-of select="@pdpa"/><xsl:value-of select="@pvpa"/><xsl:value-of select="position()"/>';
						}
					</script>
				</xsl:if>
				<!-- @025 END -->
				
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template name="dostatus">
		<xsl:for-each select="./OLi/PaLi/OMIn">
			<DIV id="custtitle" class="doc_scheme_custom_title">
				<xsl:for-each select="Line">
					<xsl:value-of select="."/>
					<br/>
				</xsl:for-each>
			</DIV>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="dobuttons">
		<!-- start of description for the button bar panel -->
		<DIV class="doc_scheme_button_bar" onfocus="fnfocusbgofimLTD()" onblur="fnblurbgofim()" id="tb1" accesskey="v">
			<script>
			<xsl:if test="./OLi[@sigm='implicit']">
               g_signonmode="implicit";
			</xsl:if>
				<xsl:if test="./OLi[@sigm!='implicit']">
               g_signonmode="explicit";
			</xsl:if>
			</script>
			<table>
				<tr>
					<td/>
					<xsl:for-each select="./OLi/PaLi/UPrp/ButtonList/Button [(//OLi/@sigm = 'implicit' and @explicit = 'N') or @explicit = 'Y']">
						<xsl:call-template name="createButton">
							<xsl:with-param name="signonmode">
								<xsl:value-of select="//OLi/@sigm"/>
							</xsl:with-param>
							<xsl:with-param name="buttontype">
								<xsl:value-of select="@explicit"/>
							</xsl:with-param>
							<xsl:with-param name="buttonaction">
								<xsl:value-of select="@action"/>
							</xsl:with-param>
							<xsl:with-param name="position">
								<xsl:value-of select="position()"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</DIV>
		<!-- end of description for the button bar panel -->
	</xsl:template>
</xsl:stylesheet>
