<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************

* Change Activity:                                                             
*                                                                              
* Code	Release		Date				Person	Reason                                   
*                                                                              
* @001	V01R01B06	05/11/2004 	UZeh	APAR PQ88960 PTR3968 g_saveownerarray stmts added   
* @002	V01R01B06	05/18/2004 	UZeh	APAR PQ88960 PTR3968 g_savesubject stmt added        
* @003	V01R01B06	05/24/2004 	UZeh	APAR PQ89314 PTR3241 add id to table with classname termtable 
* @004	V01R01B06	06/29/2004 	UZEH	APAR PQ90742 PTR4205 File must not start with blank line but with XML Declaration   
* @005	V01R01B06	07/28/2004 	UZeh	APAR PQ92037 PTR4276 Determination of g_savesubject changed
* @06=	1.1.6		09/17/2004	GOT	APAR PQ94327, PTR4349 JS Error when double quotes in subject
* @07=	1.1.6		12/14/2004	GOT	APAR PQ98310 MSGDOC1045 and MSGDOC1119
* @008  V01R01B06       01/12/2005      UZeh    APAR PQ99299 PTR4301 gFirstInLrr Logic with g_signonmode="implicit"                         
* @009  V01R01B06       02/17/2005      UZeh    gTopObj.applet.gSignonMode
* @10=  1.1.6		03/04/2005	GOT	PK01940/PTR4617 real buttons don't work with implicit-only buttons
* @011  V01R01B06       03/10/2005      UZeh    DPTR4516 DAISY Changed XML Datastream with mail content
* @012  V01R01B06       04/04/2005      UZeh    DPTR4516 DAISY Suppress checkboxes
* @013  V01R01B06       07/04/2005      UZeh    DPTR4516 DAISY Use Mail NLS (titl) from XML Stream 
* @14=	1.1.6		04/15/2005	JNG	PK04282, PTR4699 Synchronize Framesets 
* @015  V01R01B06       05/10/2005      UZEH    PK04282, PTR4772 Add OMIn Template rule
* @016  V01R01B06       04/22/2005      MMar    Changed <td> due to flexible fonts
* @017  V01R01B07       10/10/2005      MMar    PTR5155 Wrong font size in label on term screen
* @018  1.1.7           11/02/2005      UZeh    DPTR5209 PTR5209 Change other from other444
* @19		1.2.2			02/10/2006		GOT		PTR5417 (DPK17220) Msg FSN205I and DOC1045 after hectic clicking
*                 02/13/2006 UZeh   PTR5417 (DPK17220) g_enableButtonTimeout 
* @020  1.2.2     04/10/2006 MMar   DPK22286 Encoding changed to UTF-8 
* @021  1.2.2     2006-07-05 MMar   DPTR5653 Implement frameless design
* @022 1.2.2      2006-07-27 UZeh   DPTR5792 JS-escape for g_saveDialogName 
*   
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="docIframes.xsl"/>
	<!-- @021 Frameless design -->
	<xsl:import href="docglobalvariables.xsl"/>
	<!-- @020 -->
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="value desc" method="html"/>
	<xsl:template match="/">
		<!-- Start the HTML description here-->
		<html>
			<xsl:call-template name="dohead">
				<xsl:with-param name="objtype">
					<xsl:text>term</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
			<!-- @021 Frameless design -->
			<!-- This will call special template to set global variables -->
			<xsl:call-template name="set-global-variables" />
			<body id="body" onload="topWait( 'fnInit()' ); fnEvalProcessTime();setTimeout('fnButtonEnabled(true,false)', g_enableButtonTimeout )" onunload="fnFinish();" scroll="no">
				<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
				<xsl:attribute name="class"><xsl:text>doc_scheme_window</xsl:text><!-- check if we have to show the menu panel --><xsl:choose><xsl:when test="//Term/UPrp/PMen/. = 'Y'"><!-- check if we also have to show the OMInfo panel --><xsl:choose><xsl:when test="//Term/OMIn"><xsl:text> OMInfoAndMenu</xsl:text></xsl:when><xsl:otherwise><xsl:text> Menu</xsl:text></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><!-- menu panel must'nt be shown but check if we have to show the OMInfo panel --><xsl:if test="//Term/OMIn"><xsl:text> OMInfo</xsl:text></xsl:if></xsl:otherwise></xsl:choose></xsl:attribute>
				<!-- the first panel with the customer details-->
				<xsl:call-template name="dostatus"/>
				<!--the second panel with the navigation panel and its menu items-->
				<xsl:call-template name="donavpane">
					<xsl:with-param name="objtype">
						<xsl:text>term</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
				<!-- the third panel with the vertical splitbar -->
				<div CLASS="doc_scheme_split_bar" id="tb9"/>
				<div class="doc_scheme_work_space" id="tb0">
					<DIV class="doc_scheme_tree" id="tf0">
						<xsl:apply-templates/>
					</DIV>
				</div>
				<!--end of description for the main tree menu panel..-->
				<!-- start of description for the button bar panel -->
				<xsl:call-template name="dobuttons"/>
				<!-- end of description for the button bar panel -->
				<!-- the fifth panel with the menu buttons and short cuts and the pulldown menue iframes-->
				<xsl:if test="//Term/UPrp/PMen/. = 'Y'">
					<xsl:call-template name="domenubar"/>
				</xsl:if>
				<xsl:call-template name="dopulldownmenu">
					<xsl:with-param name="objtype">
						<xsl:text>term</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="UPrp"/>
	<xsl:template match="OMIn"/> <!-- @015a -->
	<xsl:template match="OLi">
		<!-- calculate the global variables like g_languageid and gSessionId which the server needs-->
		<script>   
                        // @008a Start

                        g_signonmode="<xsl:value-of select="/OLi/@sigm"/>"; 
                        gTopObj.applet.gSignonMode = g_signonmode; // @009a  
                        
                        
                       
                        // @008a End  
			g_languageid="<xsl:value-of select="/OLi/@lang"/>".toLowerCase();
			
			// @021 Frameless design
			// gTopObj.applet.gSessionId="<xsl:value-of select="/OLi/@sid"/>";
			g_saveDialogPrompt="<xsl:value-of select="//Term/UPrp/SvNm/@prom"/>";
			g_saveDialogReplace="<xsl:value-of select="//Term/UPrp/SvNm/@repl"/>";
			

                        // @022 Start  

	                <xsl:text>g_saveDialogName="</xsl:text>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="//Term/UPrp/SvNm"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>

                        // @022 End  

			g_continueRequestCode="<xsl:value-of select="/OLi/@ccmd"/>";
			g_pendingMessage="<xsl:value-of select="//Term/UPrp/PMsg"/>";
                        g_saveownerarraysize = parseInt(<xsl:value-of select="count(//Term/UPrp/OWLi/OWEn)"/>) + 2;
                      
                        g_saveownerarray = new Array(g_saveownerarraysize);
                        g_saveownerarray[0] = "<xsl:value-of select="//Term/UPrp/OWLi/OWDe"/>";
                        <xsl:for-each select="//OLi/Term/UPrp/OWLi/OWEn">
                        g_saveownerarray[<xsl:value-of select="position()"/>] = "<xsl:value-of select="current()"/>";					
                        </xsl:for-each>
                        g_saveownerarray[g_saveownerarraysize - 1] = "";   
                        //g_docmail="<xsl:value-of select="//Term/@docmail"/>";    // @011a Daisy
                        //g_docprint="<xsl:value-of select="//Term/@docprint"/>";  // @011a Daisy
                        g_docmail="<xsl:value-of select="//Term/Ref/AcMa/@docmail"/>";    // @011a Daisy
                        g_docprint="<xsl:value-of select="//Term/Ref/AcPr/@docprint"/>";  // @011a Daisy
                        
                        //alert("g_docprint="+g_docprint+" g_docmail="+g_docmail);
                        g_mailtemplatename = "<xsl:value-of select="//Term/Ref/AcMa/Matn"/>";  // @011a Daisy
                        			<xsl:text>g_savesubject="</xsl:text>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="/OLi/Term/UPrp/LRSu"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>
                        
		</script>
                <!-- @011a -->  
                <xsl:apply-templates select="Term" />
                </xsl:template>
   
                <!-- Template rule for Node Term -->
                <!-- Start @011a -->   
                <xsl:template match="Term">
                    <table class="outer" cellpadding="0" cellspacing="0">
                       <xsl:apply-templates/>
                    </table>     
                </xsl:template>
                <!-- End @011a -->

 <!-- Template rule for BuLi node -->
   
   <xsl:template match="BuLi"/>

   <!-- Template rule for Titl node -->

   <xsl:template match="Titl">
        <tr class="doc_scheme_entry">
			<td colspan="2"><!--class="termltdtitle"-->
				<img src="./images/docltd.gif"/>
				<!-- @017 Added label and b elements -->
				<label><b><xsl:value-of select="/OLi/Term/Titl"/></b></label>
			</td>
		</tr>
   </xsl:template> 

   <!-- Template rule for Node AcPr -->

   <xsl:template match="AcPr">
   
       <xsl:variable name="xdocprint">
           <xsl:value-of select="@docprint"/> 
       </xsl:variable>

       <!-- @012a Start -->

       <xsl:variable name="xdocmail">
           <xsl:value-of select="//AcMa/@docmail"/> 
       </xsl:variable>

       <!-- @012a End  -->  
       <!-- @013a Start-->     
         
          <xsl:variable name="xlbprint">
             <xsl:choose>
                <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
                <xsl:otherwise>Print document</xsl:otherwise>
             </xsl:choose>
          </xsl:variable>            



         <!-- @013a End  -->  
   
       <xsl:variable name="xcbprint">
            <xsl:choose>
                <xsl:when test="$xdocprint='2'">Y</xsl:when>                
                <xsl:when test="$xdocprint='3'">N</xsl:when>                   
                <xsl:otherwise>Y</xsl:otherwise>
             </xsl:choose>          
       </xsl:variable> 


       <xsl:if test="$xdocprint != '0'">      <!-- @012a -->
       <!-- Display Checkbox only if no mailing was sent @012a --> 

       <xsl:if test="$xdocmail != ''" >        <!-- @012a --> 

       <TR>
                          
                <!-- Print Checkbox -->   
               

                <TD class="termmainitem">

                <xsl:call-template name = "xcheckbox"> 
                     <xsl:with-param name = "xcbfnm">cbPrint</xsl:with-param>                   
                     <xsl:with-param name = "xcbfid">tcb-pr</xsl:with-param>
                     <xsl:with-param name = "xcbfsi">PrintTitle</xsl:with-param>    
                     

                     <xsl:with-param name = "xcbfis"><xsl:value-of select="$xcbprint"/></xsl:with-param>                    
  
                     <xsl:with-param name = "xcbfva">Print</xsl:with-param>                     
                     <xsl:with-param name = "xcbfnOnClick">fnTermPrintCBSelected()</xsl:with-param> 
                     <xsl:with-param name = "xcbfnOnKeydown">fnTermPrintCBSelected()</xsl:with-param> 
                 </xsl:call-template>    
          
            
                </TD>
                <TD>                              
                     <LABEL class="termmainlabel" id="lb-2"><xsl:value-of select="$xlbprint"/></LABEL>
                </TD>
        </TR>  
        </xsl:if> <!-- @012a -->      
        <TR>
               <TD></TD>
               <TD>
                  <SPAN id="tsp">
                  <TABLE>
                     <TBODY>
                       <tr class="termsubtitle">
				<td class="termsubtitle" colspan="2">
				  <xsl:value-of select="./STit"/> <!-- UZ 20050404 --> 
				</td>
			</tr>
                       <xsl:call-template name="xprintfields"/>                  

                     </TBODY>
                  </TABLE>
                  </SPAN>
               </TD>
       </TR>     
       
      </xsl:if> <!-- @012a-->      

   </xsl:template>   




 
   <!-- Template rule for Node AcMa -->  

   <xsl:template match="AcMa">
 
         <!-- @012=  Start --> 
        <xsl:variable name="xdocprint">
           <xsl:value-of select="//AcPr/@docprint"/> 
       </xsl:variable>

         <!-- @012=  End -->
          

         <xsl:variable name="xdocmail">
             <xsl:value-of select="../@docmail"/> 
         </xsl:variable>
         <xsl:variable name="xcbmail">
            <xsl:choose>
                <xsl:when test="$xdocmail='2'">Y</xsl:when>                
                <xsl:when test="$xdocmail='3'">N</xsl:when>                   
                <xsl:otherwise>N</xsl:otherwise>
             </xsl:choose>          
        </xsl:variable> 
         
         <!-- @013a Start-->     
         
          <xsl:variable name="xlbmail">
             <xsl:choose>
                <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
                <xsl:otherwise>Mail document</xsl:otherwise>
             </xsl:choose>
          </xsl:variable>            



         <!-- @013a End  -->  
   
	
         <xsl:if test="$xdocmail != '0'"> <!-- UZEH 20040817 -->  
           <!-- Display Checkbox only if no printing was sent @012a --> 
           <xsl:if test="$xdocprint = ''" >        <!-- @012a --> 	
           <TR>
                <TD class="termmainitem">

                       <LABEL class="termmainlabel" id="lb-2"><xsl:value-of select="$xlbmail"/></LABEL>
            
                </TD>
                <TD>                    
              
                </TD>
            </TR>
            </xsl:if> <!-- @012a -->
           <xsl:if test="$xdocprint != ''" >        <!-- @012a --> 	
           <TR>
                <TD class="termmainitem">

                <!-- Mail Checkbox -->   
           

                 <xsl:call-template name = "xcheckbox"> 
                     <xsl:with-param name = "xcbfnm">cbMail</xsl:with-param>                   
                     <xsl:with-param name = "xcbfid">tcb-ma</xsl:with-param>
                     <xsl:with-param name = "xcbfsi">MailTitle</xsl:with-param>  
                    
                     <xsl:with-param name = "xcbfis"><xsl:value-of select="$xcbmail"/></xsl:with-param>                    
  
  
                     <xsl:with-param name = "xcbfva">Mail</xsl:with-param>                     
                     <xsl:with-param name = "xcbfnOnClick">fnTermMailCBSelected()</xsl:with-param> 
                     <xsl:with-param name = "xcbfnOnKeydown">fnTermMailCBSelected()</xsl:with-param> 
                 </xsl:call-template>
          
            
                </TD>
                <TD>                    
                     <LABEL class="termmainlabel" id="lb-2"><xsl:value-of select="$xlbmail"/></LABEL>
                </TD>
            </TR>
            </xsl:if> <!-- @012a -->
            <TR>
               <TD></TD>
               <TD>
                  <SPAN id="tsm">
                  <TABLE>
                     <TBODY>
                     
                       <!-- @007a Start -->
             
                      
                       <!-- @007a End   --> 

                       <xsl:apply-templates/>

                     </TBODY>
                  </TABLE>
                  </SPAN>
               </TD>
           </TR> 
         
        </xsl:if>                   

   </xsl:template>  


<!-- Template to treat Mail template name -->

<xsl:template match="Matn">


 <xsl:call-template name="xdocmailtemplatename"/>     


</xsl:template>
  	

<!-- Template to treat Mailformat list box -->

<xsl:template match="MFLi"> 
     

    <xsl:variable name="xlbmailformat">
        <xsl:choose>
             <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
             <xsl:otherwise>Mail format</xsl:otherwise>
        </xsl:choose>
    </xsl:variable>  

    <tr class="termsubitem">
    <td class="termsubitemlabel"><xsl:value-of select="$xlbmailformat"/></td>
    <td class="termsubiteminput">
       <xsl:element name="select">   
           <xsl:attribute name = "size">1</xsl:attribute>
           <xsl:attribute name = "id"  >tlb-mf</xsl:attribute>
           <xsl:attribute name = "name">tlb-mailformat</xsl:attribute>
           <xsl:if test="@prot='Y'">
               <xsl:attribute name = "disable">disable</xsl:attribute>
           </xsl:if>  
           <xsl:for-each select="./MaFo">
               <xsl:element name="option">  
                  <xsl:if test="@sel='Y'"> 
                     <xsl:attribute name="selected">selected</xsl:attribute>  
                  </xsl:if>   
                  <xsl:value-of select="."/>
               </xsl:element>              
           </xsl:for-each> 

       </xsl:element>     
    </td>
    </tr> 
</xsl:template>

<!-- Template to treat Mail sender text input field -->

<xsl:template match="MSen"> 
      
    <xsl:variable name="xlbmailsender">
          <xsl:choose>
             <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
             <xsl:otherwise>Sender</xsl:otherwise>
        </xsl:choose>
    </xsl:variable>  
                

      <xsl:call-template name = "xtext">      
           <xsl:with-param name = "xtxlid">lif-se</xsl:with-param>               
           <xsl:with-param name = "xtxflb"><xsl:value-of select="$xlbmailsender"/></xsl:with-param>
           <xsl:with-param name = "xtxfnm">txSender</xsl:with-param>    
           <xsl:with-param name = "xtxfid">tif-se</xsl:with-param>          
           <xsl:with-param name = "xtxfsz">40</xsl:with-param> 
           <xsl:with-param name = "xtxfmx">64</xsl:with-param> 
           <xsl:with-param name = "xtxfva">
              <xsl:value-of select="."/> 
           </xsl:with-param>
           <xsl:with-param name = "xtxfro">
              <xsl:value-of select="@prot"/> 
           </xsl:with-param>
           <xsl:with-param name = "xtxfnOnBlur">return(fnCheckEmailAddress());</xsl:with-param> 
      </xsl:call-template>
   
</xsl:template>

<!-- Template to treat Mail subject textarea input field -->

<xsl:template match="MSub"> 

      <xsl:variable name="xlbmailsubject">
         
          <xsl:choose>
             <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
             <xsl:otherwise>Subject</xsl:otherwise>
          </xsl:choose>
           
      </xsl:variable>  

       
      <xsl:call-template name = "xtextarea">  
            <xsl:with-param name = "xtalid">lta-su</xsl:with-param>                     
            <xsl:with-param name = "xtaflb"><xsl:value-of select="$xlbmailsubject"/></xsl:with-param>
            <xsl:with-param name = "xtafnm">taSubject</xsl:with-param>
            <xsl:with-param name = "xtafid">tta-su</xsl:with-param>               
            <xsl:with-param name = "xtafrw">1</xsl:with-param> 
            <xsl:with-param name = "xtafco">40</xsl:with-param> 
            <xsl:with-param name = "xtafva">
                <xsl:value-of select="."/> 
            </xsl:with-param>
            <xsl:with-param name = "xtafro">
                <xsl:value-of select="@prot"/> 
            </xsl:with-param>
            <xsl:with-param name = "xtafnOnBlur"></xsl:with-param>
     </xsl:call-template>            
     
</xsl:template>

<!-- Template to treat Recipients textarea input field -->

<xsl:template match="MRLi"> 
  
     <xsl:variable name="xlbmailrecipients">
          <xsl:choose>
             <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
             <xsl:otherwise>Recipients</xsl:otherwise>
          </xsl:choose>
      </xsl:variable>  

    <xsl:variable name="xvalue">
         <xsl:for-each select="./MaRc">

            <xsl:value-of select="."/> 
            <xsl:if test="position() != last()"><xsl:text>,&#13;</xsl:text></xsl:if> 
         </xsl:for-each> 
     
    </xsl:variable>  
    
    <xsl:call-template name = "xtextarea">   
        <xsl:with-param name = "xtalid">lta-re</xsl:with-param>                    
        <xsl:with-param name = "xtaflb"><xsl:value-of select="$xlbmailrecipients"/></xsl:with-param>
        <xsl:with-param name = "xtafnm">taRecip</xsl:with-param> 
        <xsl:with-param name = "xtafid">tta-re</xsl:with-param>             
        <xsl:with-param name = "xtafrw">2</xsl:with-param> 
        <xsl:with-param name = "xtafco">40</xsl:with-param> 
        <xsl:with-param name = "xtafva">
            <xsl:value-of select="$xvalue"/>
        </xsl:with-param>
        <xsl:with-param name = "xtafro">
           <xsl:value-of select="@prot"/> 
        </xsl:with-param>
        <xsl:with-param name = "xtafnOnBlur">return(fnCheckEmailAddressList(false));</xsl:with-param> 
   </xsl:call-template>
   
   
</xsl:template>

<!-- Template to treat CCs textarea input field -->

<xsl:template match="MCLi"> 

    <xsl:variable name="xlbmailccs">
          <xsl:choose>
             <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
             <xsl:otherwise>Carbon copies</xsl:otherwise>
          </xsl:choose>
    </xsl:variable>  

    <xsl:variable name="xvalue">
         <xsl:for-each select="./MaCc">
            <xsl:value-of select="."/> 
            <xsl:if test="position() != last()"><xsl:text>,&#13;</xsl:text></xsl:if> 
         </xsl:for-each> 
    </xsl:variable>  
    
    <xsl:call-template name = "xtextarea">    
        <xsl:with-param name = "xtalid">lta-cc</xsl:with-param>                   
        <xsl:with-param name = "xtaflb"><xsl:value-of select="$xlbmailccs"/></xsl:with-param>
        <xsl:with-param name = "xtafnm">taCC</xsl:with-param> 
        <xsl:with-param name = "xtafid">tta-cc</xsl:with-param>             
        <xsl:with-param name = "xtafrw">2</xsl:with-param> 
        <xsl:with-param name = "xtafco">40</xsl:with-param> 
        <xsl:with-param name = "xtafva">
            <xsl:value-of select="$xvalue"/>
        </xsl:with-param>
        <xsl:with-param name = "xtafro">
           <xsl:value-of select="@prot"/> 
        </xsl:with-param>
        <xsl:with-param name = "xtafnOnBlur">return(fnCheckEmailAddressList(true));</xsl:with-param> 
   </xsl:call-template>
   
   
</xsl:template>

<!-- @007a Start -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xdocmailtemplatename                                       --> 
<!-- which allows to enter the docmailtemplatename for test purpose -->
<!--                                                                -->  
<!-- ************************************************************** -->

<xsl:template name = "xdocmailtemplatename">

     <xsl:variable name="xlbmailtemplatename">
          <xsl:choose>
             <xsl:when test="@titl"><xsl:value-of select="@titl"/></xsl:when>                          
             <xsl:otherwise>Mail template name</xsl:otherwise>
          </xsl:choose>
    </xsl:variable>  

    <xsl:call-template name = "xtext">   
           <xsl:with-param name = "xtxlid">lif-dt</xsl:with-param>                 
           <xsl:with-param name = "xtxflb"><xsl:value-of select="$xlbmailtemplatename"/></xsl:with-param>
           <xsl:with-param name = "xtxfnm">txDocMailTemplatename</xsl:with-param>    
           <xsl:with-param name = "xtxfid">tif-dt</xsl:with-param>          
           <xsl:with-param name = "xtxfsz">40</xsl:with-param> 
           <xsl:with-param name = "xtxfmx">64</xsl:with-param> 
           <xsl:with-param name = "xtxfva">
              <xsl:value-of select="//Term/Ref/AcMa/Matn"/>
           </xsl:with-param>
           <xsl:with-param name = "xtxfro"><xsl:value-of select="//Term/Ref/AcMa/Matn/@prot"/></xsl:with-param>
           
           <xsl:with-param name = "xtxfnOnBlur"></xsl:with-param> 
      </xsl:call-template>

</xsl:template>

<!-- @007a End --> 

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xprintfields                                               --> 
<!-- which displays all printer fields                              -->
<!--                                                                -->  
<!-- ************************************************************** -->


<xsl:template name = "xprintfields">
  <!-- Printer Fields Start --> 
        <tr class="termsubtitle">
		<td class="termsubtitle" colspan="2">
		<tr>
		<td colspan="2">
		<!--	<xsl:value-of select="/OLi/Term/Ref/STit"/> UZEH -->
                <xsl:value-of select="/AcPr/STit"/>         <!--    UZEH -->
		</td>
		</tr>
		<!-- <xsl:for-each select="/OLi/Term/Ref/RBut"> -->
		<xsl:for-each select="//AcPr/RBut">
		    <tr>
			<td>
			<table>
			    <tr>
				<td class="termmainitem">
				<input type="radio">
					<xsl:attribute name="name"><xsl:value-of select="../Titl"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Titl"/></xsl:attribute>
					<xsl:attribute name="subid"><xsl:value-of select="./@subid"/></xsl:attribute>
					<xsl:attribute name="id">trb-<xsl:value-of select="position()"/></xsl:attribute>
                      			<xsl:choose>
   						<xsl:when test="./@selected = 'Y'">
      						       	<xsl:attribute name="isSelected">Y</xsl:attribute>
		   				</xsl:when>
                      			        <xsl:otherwise>
      						        <xsl:attribute name="isSelected">N</xsl:attribute>
                      				</xsl:otherwise>
                      			</xsl:choose>
			    </input>
				</td>
				<td>
				<label class="termmainlabel">
					<xsl:attribute name="id">lb-<xsl:value-of select="position()"/></xsl:attribute>
					<xsl:value-of select="Titl"/>
				</label>
				</td>
			     </tr>
			     <tr>
				<td/>
				<td>
				<span>
				    <xsl:attribute name="id">fld-<xsl:value-of select="position()"/></xsl:attribute>
			            <table>
				       	<xsl:for-each select="./Entr">
						<tr class="termsubitem">
						<xsl:choose>
						<xsl:when test="@type = 'NUM'">
							<td class="termsubitemlabel">
							<xsl:value-of select="./Titl"/>
							</td>
							<td class="termsubiteminput">
							<input type="text" size="6" maxlength="4">
								<xsl:attribute name="name"><xsl:value-of select="./Titl"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="./Dflt"/></xsl:attribute>
								<xsl:attribute name="id">tif-<xsl:value-of select="./@id"/></xsl:attribute>
							</input>
							</td>
						</xsl:when>
						<xsl:when test="@type = 'FIELD'">
							<td class="termsubitemlabel">
							<xsl:value-of select="./Titl"/>
							</td>
							<td class="termsubiteminput">
							<input type="text">
								<xsl:attribute name="name"><xsl:value-of select="./Titl"/></xsl:attribute>
         							<xsl:attribute name="value"><xsl:value-of select="./Dflt"/></xsl:attribute>
								<xsl:attribute name="id">tif-<xsl:value-of select="./Titl"/></xsl:attribute>
							</input>
							</td>
						</xsl:when>													
						<xsl:when test="@type = 'PLIST'">
						<td class="termsubitemlabel">
							<xsl:value-of select="./Titl"/>
						</td>
						<td class="termsubiteminput">
						<select onchange="fnSelectionListEntryChanged(this)" size="1" id="tif-select" >
						<xsl:for-each select="./PLst/Printer">
							<option>
								<xsl:if test="./@default = 'Y'">
									<xsl:attribute name="selected">true</xsl:attribute>
								</xsl:if>
								<xsl:attribute name="value">read-only</xsl:attribute>
								<xsl:attribute name="PType">
								<xsl:value-of select="./@type"/>
								</xsl:attribute>
								<xsl:value-of select="."/>
							</option>
						</xsl:for-each>
      						<xsl:if test="./PLst/AltNm/@title != ''">
							<option>
								<xsl:attribute name="PType"/>
								<xsl:if test="./@default = 'Y'">
									<xsl:attribute name="selected">true</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="./PLst/AltNm"/><xsl:text></xsl:text> <!-- @018 -->
							</option>
		      				</xsl:if>
						</select>
						</td>
						<xsl:if test="./PLst/AltNm/@title != ''">
   							<td nowrap="true">
	      						<label id="prn-0" disabled="true">
   		   						<xsl:value-of select="./PLst/AltNm/@title"/>
		   	   				</label>
			   				</td>
   							<td class="termsubiteminput">
								<input type="text" id="tif-pl" disabled="true" size="16" maxlength="16">
		   					</input>
			   				</td>
						</xsl:if>
						</xsl:when>								
	 					</xsl:choose>
						</tr>
					</xsl:for-each>
				    </table>
				</span>
			</td>
			</tr>
			</table>
			</td>
			</tr>
			</xsl:for-each>

		</td>
		</tr>
		<!-- <xsl:for-each select="/OLi/Term/Ref/RBut"> UZEH -->
                <xsl:for-each select="/AcPr/Ref/RBut">
		        <tr class="termmainitem">
			<td class="termmainitem">
			<table>
			    <tr>
				<td class="termmainitem">
				<input type=" ">
					<xsl:attribute name="name"><xsl:value-of select="../Titl"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Titl"/></xsl:attribute>
					<xsl:attribute name="subid"><xsl:value-of select="./@subid"/></xsl:attribute>
					<xsl:attribute name="id">trb-<xsl:value-of select="position()"/></xsl:attribute>
                      			<xsl:choose>
   						<xsl:when test="./@selected = 'Y'">
      						       	<xsl:attribute name="isSelected">Y</xsl:attribute>
		   				</xsl:when>
                      			        <xsl:otherwise>
      						        <xsl:attribute name="isSelected">N</xsl:attribute>
                      				</xsl:otherwise>
                      			</xsl:choose>
			        </input>
				</td>
				<td>
				<label class="termmainlabel">
					<xsl:attribute name="id">lb-<xsl:value-of select="position()"/></xsl:attribute>
					<xsl:value-of select="Titl"/>
				</label>
				</td>
			     </tr>
			     <tr>
				<td/>
				<td>
				<span>
				    <xsl:attribute name="id">fld-<xsl:value-of select="position()"/></xsl:attribute>
			            <table>
				       	<xsl:for-each select="./Entr">
						<!--<tr class="termsubitem">-->
						<tr>
						<xsl:choose>
						<xsl:when test="@type = 'NUM'">
							<td class="termsubitemlabel">
							<xsl:value-of select="./Titl"/>
							</td>
							<td class="termsubiteminput">
							<input type="text" size="6" maxlength="4">
								<xsl:attribute name="name"><xsl:value-of select="./Titl"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="./Dflt"/></xsl:attribute>
								<xsl:attribute name="id">tif-<xsl:value-of select="./@id"/></xsl:attribute>
							</input>
							</td>
						</xsl:when>
						<xsl:when test="@type = 'FIELD'">
							<td class="termsubitemlabel">
							<xsl:value-of select="./Titl"/>
							</td>
							<td class="termsubiteminput">
							<input type="text">
								<xsl:attribute name="name"><xsl:value-of select="./Titl"/></xsl:attribute>
         							<xsl:attribute name="value"><xsl:value-of select="./Dflt"/></xsl:attribute>
								<xsl:attribute name="id">tif-<xsl:value-of select="./Titl"/></xsl:attribute>
							</input>
							</td>
						</xsl:when>													
						<xsl:when test="@type = 'PLIST'">
						<td class="termsubitemlabel">
							<xsl:value-of select="./Titl"/>
						</td>
						<td class="termsubiteminput">
						<select onchange="fnSelectionListEntryChanged(this)" size="1" id="tif-select" >
						<xsl:for-each select="./PLst/Printer">
							<option>
								<xsl:if test="./@default = 'Y'">
									<xsl:attribute name="selected">true</xsl:attribute>
								</xsl:if>
								<xsl:attribute name="value">read-only</xsl:attribute>
								<xsl:attribute name="PType">
								<xsl:value-of select="./@type"/>
								</xsl:attribute>
								<xsl:value-of select="."/>
							</option>
						</xsl:for-each>
      						<xsl:if test="./PLst/AltNm/@title != ''">
							<option>
								<xsl:attribute name="PType"/>
								<xsl:if test="./@default = 'Y'">
									<xsl:attribute name="selected">true</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="./PLst/AltNm"/>
							</option>
		      				</xsl:if>
						</select>
						</td>
						<xsl:if test="./PLst/AltNm/@title != ''">
   							<td class="termsubitemlabel" nowrap="true">
	      						<label id="prn-0" disabled="true">
   		   						<xsl:value-of select="./PLst/AltNm/@title"/><xsl:text>555</xsl:text>
		   	   				</label>
			   				</td>
							<!-- @013 -->
   							<!--<td class="termsubiteminput"> MMar -->
   							<td>
	   						<input type="text" id="tif-pl" disabled="true" size="16" maxlength="16">
		   					</input>
			   				</td>
						</xsl:if>
						</xsl:when>								
	 					</xsl:choose>
						</tr>
					</xsl:for-each>
				    </table>
				</span>
			</td>
			</tr>
			</table>
			</td>
			</tr>
			</xsl:for-each>


                       <!-- Printer Fields End   -->

</xsl:template> 

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xtext                                                      --> 
<!-- which displays a label and a input text field                  -->
<!--                                                                -->  
<!-- Parameters                                                     -->
<!--     xtxlid      Label id                                       --> 
<!--     xtxflb      Input field label                              -->
<!--     xtxfnm      Input field name                               -->
<!--     xtxfid      Input field id                                 -->
<!--     xtxfsz      Input field size                               -->
<!--     xtxfmx      Input field maximum length                     -->
<!--     xtxfva      Input field value                              -->
<!--     xtxfro      Field is readonly                              -->
<!--     xtxfnOnBlur onBlur functions                               --> 
<!-- ************************************************************** -->


<xsl:template name = "xtext"> 

    <xsl:param name = "xtxlid"/>
    <xsl:param name = "xtxflb"/>
    <xsl:param name = "xtxfnm"/> 
    <xsl:param name = "xtxfid"/>             
    <xsl:param name = "xtxfsz"/> 
    <xsl:param name = "xtxfmx"/> 
    <xsl:param name = "xtxfva"/>
    <xsl:param name = "xtxfro"/>
    <xsl:param name = "xtxfnOnBlur"/>
    <tr class="termsubitem">
        <xsl:element name="td">
            <xsl:attribute name="class">termsubitemlabel</xsl:attribute>
            <xsl:attribute name="id"><xsl:value-of select="$xtxlid"/></xsl:attribute>
            <xsl:value-of select="$xtxflb"/> 
        </xsl:element>        
        <td class="termsubiteminput">
        <xsl:element name="input">
            <xsl:attribute name="type">text</xsl:attribute> 
            <xsl:attribute name="name"><xsl:value-of select="$xtxfnm"/></xsl:attribute> 
            <xsl:attribute name="id"><xsl:value-of select="$xtxfid"/></xsl:attribute> 
            <xsl:attribute name="size"><xsl:value-of select="$xtxfsz"/></xsl:attribute> 
            <xsl:attribute name="maxlength"><xsl:value-of select="$xtxfmx"/></xsl:attribute> 
            <xsl:if test="$xtxfro='Y'">
                <xsl:attribute name="readonly">readonly</xsl:attribute> 
            </xsl:if> 
            <xsl:attribute name="onblur"><xsl:value-of select="$xtxfnOnBlur"/></xsl:attribute> 
             
            <xsl:attribute name="value"><xsl:value-of select="$xtxfva"/></xsl:attribute>         
        </xsl:element>  
       
        </td>
    </tr>

</xsl:template>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xtextarea                                                  --> 
<!-- which displays label and textarea field                        -->
<!--                                                                --> 
<!-- Parameters                                                     -->
<!--     xtalid      Label id                                       --> 
<!--     xtaflb      Textarea field label                           -->
<!--     xtafnm      Textarea field name                            -->
<!--     xtafid      Textarea field id                              -->
<!--     xtafrw      Textarea field number of rows                  -->
<!--     xtafco      Textarea field number of columns               -->
<!--     xtafva      Textarea field value                           -->
<!--     xtafro      Textarea field is readonly                     -->
<!--     xtafnOnBlur onBlur function                                -->  
<!-- ************************************************************** -->


<xsl:template name = "xtextarea"> 
    <xsl:param name = "xtalid" />
    <xsl:param name = "xtaflb" />
    <xsl:param name = "xtafnm" />
    <xsl:param name = "xtafid" />
    <xsl:param name = "xtafrw" />
    <xsl:param name = "xtafco" />
    <xsl:param name = "xtafva" />
    <xsl:param name = "xtafro" />
    <xsl:param name = "xtafnOnBlur" />

    <tr class="termsubitem">    
        <xsl:element name="td">
            <xsl:attribute name="class">termsubitemlabel</xsl:attribute>
            <xsl:attribute name="id"><xsl:value-of select="$xtalid"/></xsl:attribute>
            <xsl:value-of select="$xtaflb"/> 
        </xsl:element>    
        <td class="termsubiteminput">
        <xsl:element name="textarea">
            <xsl:attribute name="name"><xsl:value-of select="$xtafnm"/></xsl:attribute> 
            <xsl:attribute name="id"><xsl:value-of select="$xtafid"/></xsl:attribute> 
            <xsl:attribute name="rows"><xsl:value-of select="$xtafrw"/></xsl:attribute> 
            <xsl:attribute name="cols"><xsl:value-of select="$xtafco"/></xsl:attribute> 
            <xsl:attribute name="UNSELECTABLE">off</xsl:attribute> 
            <xsl:if test="$xtafro='Y'">
                <xsl:attribute name="readonly">readonly</xsl:attribute> 
            </xsl:if>     
            <xsl:attribute name="onblur"><xsl:value-of select="$xtafnOnBlur"/></xsl:attribute> 
            <xsl:value-of select="$xtafva"/> 
        </xsl:element>  
       
        </td>
    </tr>

</xsl:template>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xcheckbox                                                  --> 
<!-- which displays a checkbox without label                        -->
<!--                                                                -->  
<!-- Parameters                                                     -->
<!--                                                                --> 
<!--     xcbfnm          Checkbox field name                        -->
<!--     xcbfid          Checkbox field id                          -->
<!--     xcbfsi          Checkbox field subid                       -->
<!--     xcbfis          Checkbox field Isselected                  -->
<!--     xcbfva          Checkbox field value                       -->
<!--     xcbfnOnBlur     onBlur functions                           --> 
<!--     xcbfnOnKeydown  onKeydown functions                        --> 
<!-- ************************************************************** -->


<xsl:template name = "xcheckbox"> 


    <xsl:param name = "xcbfnm" />
    <xsl:param name = "xcbfid" />
    <xsl:param name = "xcbfsi" />
    <xsl:param name = "xcbfis" />
    <xsl:param name = "xcbfva" />   
    <xsl:param name = "xcbfnOnClick" />
    <xsl:param name = "xcbfnOnKeydown" />
   
    <xsl:element name="input">
            <xsl:attribute name="type" >checkbox</xsl:attribute>
            <xsl:attribute name="name"><xsl:value-of select="$xcbfnm"/></xsl:attribute> 
            <xsl:attribute name="id"><xsl:value-of select="$xcbfid"/></xsl:attribute> 
            <xsl:attribute name="subid"><xsl:value-of select="$xcbfsi"/></xsl:attribute>
            <xsl:if test="$xcbfis='Y'">   
               <xsl:attribute name="checked">checked</xsl:attribute> 
            </xsl:if>
            <xsl:attribute name="value"><xsl:value-of select="$xcbfva"/></xsl:attribute> 
            <xsl:attribute name="onclick"><xsl:value-of select="$xcbfnOnClick"/></xsl:attribute> 
            <xsl:attribute name="onkeydown"><xsl:value-of select="$xcbfnOnKeydown"/></xsl:attribute> 
         
    </xsl:element>  
                   

</xsl:template>


<!-- @005 DAISY End -->



	<xsl:template name="dostatus">
		<xsl:for-each select="./OLi/Term/OMIn">
			<div id="custtitle" class="doc_scheme_custom_title">
				<xsl:for-each select="Line">
					<xsl:value-of select="."/>
					<br/>
				</xsl:for-each>
			</div>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="dobuttons">
		<!-- start of description for the button bar panel -->
		<DIV class="doc_scheme_button_bar" onfocus="fnfocusbgofimLTD()" onblur="fnblurbgofim()" id="tb1" accesskey="v">
			<script>
				<xsl:if test="./OLi[@sigm='implicit']">
               g_signonmode="implicit";
			</xsl:if>
				<xsl:if test="./OLi[@sigm!='implicit']">
               g_signonmode="explicit";
			</xsl:if>
			</script>
			<table>
				<tr>
					<td/>
					<xsl:for-each select="./OLi/Term/UPrp/ButtonList/Button [(//OLi/@sigm = 'implicit' and @explicit = 'N') or @explicit = 'Y']">
						<xsl:call-template name="createButton">
							<xsl:with-param name="signonmode">
								<xsl:value-of select="//OLi/@sigm"/>
							</xsl:with-param>
							<xsl:with-param name="buttontype">
								<xsl:value-of select="@explicit"/>
							</xsl:with-param>
							<xsl:with-param name="buttonaction">
								<xsl:value-of select="@action"/>
							</xsl:with-param>
							<xsl:with-param name="position">
								<xsl:value-of select="position()"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</DIV>
		<!-- end of description for the button bar panel -->
	</xsl:template>
</xsl:stylesheet>
